﻿DROP PROCEDURE IF EXISTS dev.CreateSystemSettingsDefaultData
GO

CREATE PROCEDURE dev.CreateSystemSettingsDefaultData
  @intezmenyID int,
  @tanevID int
AS
BEGIN
  -- SET NOCOUNT ON added to prevent extra result sets from
  -- interfering with SELECT statements.
  SET NOCOUNT ON;

  DECLARE @TEMP_RENDSZERBEALLITAS TABLE (
    C_BEALLITASTIPUS                  INT                              not null,
    C_ERTEKTIPUS                      INT                              not null,
    C_ALAPERTEK                       NVARCHAR(MAX)                    null,
    C_ERTEK                           NVARCHAR(MAX)                    not null,
    SERIAL                            INT                              null,
    CREATOR                           INT                              null,
    C_INTEZMENYID                     INT                              not null,
    C_TANEVID                         INT                              not null
  )

  DECLARE @felevVegeDatum nvarchar(50) = COALESCE(
     (SELECT FORMAT(C_DATUM, 'yyyy-MM-dd') FROM T_TANEVRENDJE_OSSZES WHERE C_NAPTIPUSA = 1400 AND C_INTEZMENYID = @intezmenyID AND C_TANEVID = @tanevID AND TOROLT = 'F' AND C_OSSZESCSOPORTRAVONATKOZIK = 'T')
    ,CONVERT(nvarchar, DATEPART(YEAR, (SELECT C_UTOLSONAP FROM T_TANEV_OSSZES WHERE ID = @tanevID))) + '-02-01'
    ,CONVERT(nvarchar, DATEPART(YEAR, (SELECT MAX(C_NAPDATUMA) FROM T_NAPTARINAP_OSSZES WHERE C_TANEVID = @tanevID AND TOROLT='F'))) + '-02-01')
  DECLARE @evVegeDatum nvarchar(50) = COALESCE(
     (SELECT FORMAT(C_DATUM, 'yyyy-MM-dd') FROM T_TANEVRENDJE_OSSZES WHERE C_NAPTIPUSA = 1395 AND C_INTEZMENYID = @intezmenyID AND C_TANEVID = @tanevID AND TOROLT = 'F' AND C_OSSZESCSOPORTRAVONATKOZIK = 'T')
    ,(SELECT FORMAT(C_UTOLSOTANITASINAP, 'yyyy-MM-dd') FROM T_TANEV_OSSZES WHERE ID = @tanevID)
    ,CONVERT(nvarchar, DATEPART(YEAR, (SELECT MAX(C_NAPDATUMA) FROM T_NAPTARINAP_OSSZES WHERE C_TANEVID = @tanevID AND TOROLT='F'))) + '-06-15')
  DECLARE @evElsoNapja nvarchar(50) = COALESCE(
    (SELECT FORMAT(C_KEZDONAP, 'yyyy-MM-dd') FROM T_TANEV_OSSZES WHERE ID = @tanevID)
    ,CONVERT(nvarchar, DATEPART(YEAR, (SELECT MIN(C_NAPDATUMA) FROM T_NAPTARINAP_OSSZES WHERE C_TANEVID = @tanevID AND TOROLT='F'))) + '-09-01')
  DECLARE @osszefuggoGyakorlatKezdDatum nvarchar(50) =  COALESCE((SELECT FORMAT(DATEADD(DAY, 1, C_DATUM), 'yyyy-MM-dd') FROM T_TANEVRENDJE_OSSZES WHERE C_NAPTIPUSA = 1395 AND C_INTEZMENYID = @intezmenyID AND C_TANEVID = @tanevID AND TOROLT = 'F' AND C_OSSZESCSOPORTRAVONATKOZIK = 'T'), (SELECT FORMAT(DATEADD(DAY, 1, C_UTOLSOTANITASINAP), 'yyyy-MM-dd') FROM T_TANEV WHERE C_INTEZMENYID = @intezmenyID AND ID = @tanevID))
  DECLARE @osszefuggoGyakorlatVegDatum nvarchar(50) = (SELECT FORMAT(DATEADD(YEAR, 1, DATEADD(DAY, -1, C_KEZDONAP)), 'yyyy-MM-dd') FROM T_TANEV WHERE C_INTEZMENYID = @intezmenyID AND ID = @tanevID)
  
  DECLARE @I_negyedevDatum nvarchar(50) = ISNULL((SELECT FORMAT(C_DATUM, 'yyyy-MM-dd') FROM T_TANEVRENDJE_OSSZES WHERE C_NAPTIPUSA = 1403 AND C_INTEZMENYID = @intezmenyID AND C_TANEVID = @tanevID AND TOROLT = 'F' AND C_OSSZESCSOPORTRAVONATKOZIK = 'T') ,@felevVegeDatum);
  DECLARE @II_negyedevDatum nvarchar(50) = @felevVegeDatum;
  DECLARE @III_negyedevDatum nvarchar(50) = ISNULL((SELECT FORMAT(C_DATUM, 'yyyy-MM-dd') FROM T_TANEVRENDJE_OSSZES WHERE C_NAPTIPUSA = 1404 AND C_INTEZMENYID = @intezmenyID AND C_TANEVID = @tanevID AND TOROLT = 'F' AND C_OSSZESCSOPORTRAVONATKOZIK = 'T') ,@evVegeDatum);
  DECLARE @IV_negyedevDatum nvarchar(50) = @evVegeDatum;

  DECLARE @MunkakorTipusTypeId INT = 12;

  DECLARE @tmp TABLE (options nvarchar(MAX))
  INSERT INTO @tmp
  SELECT '{"Selected":false,"Text":"' + ISNULL(C_NAME,'') + '","Value":"' + CAST(ISNULL(ID,'') as nvarchar(10)) + '"}' from T_DICTIONARYITEMBASE where C_DICTIONARYTYPEID = @MunkakorTipusTypeId and C_INTEZMENYID = @intezmenyID and C_TANEVID = @tanevID and TOROLT = 'F' order by C_VALUE

  DECLARE @optionList nVARCHAR(MAX)
  SELECT @optionList = COALESCE(@optionList + ', ', '') + options FROM @tmp
  SET @optionList = ISNULL(@optionList, '')

  DECLARE @ErtekelesModTypeId INT = 45;

  DECLARE @ErtekelesModoktmp TABLE (options nvarchar(MAX))
  INSERT INTO @ErtekelesModoktmp
  SELECT '{"Selected":'+IIF(C_NAME = 'Írásbeli témazáró dolgozat','true','false')+',"Text":"' + ISNULL(C_NAME,'') + '","Value":"' + CAST(ISNULL(ID,'') as nvarchar(10)) + '"}' from T_DICTIONARYITEMBASE where C_DICTIONARYTYPEID = @ErtekelesModTypeId and C_INTEZMENYID = @intezmenyID and C_TANEVID = @tanevID and TOROLT = 'F' order by C_VALUE

  DECLARE @ErtekelesModOptionList nVARCHAR(MAX)
  SELECT @ErtekelesModOptionList = COALESCE(@ErtekelesModOptionList + ', ', '') + options FROM @ErtekelesModoktmp
  SET @ErtekelesModOptionList = ISNULL(@ErtekelesModOptionList, '')

  DECLARE @CsoportTipusTypeId INT = 22;

  DECLARE @csoportTipusokTemp TABLE (options nvarchar(MAX))
  INSERT INTO @csoportTipusokTemp
  SELECT '{"Selected":false,"Text":"' + ISNULL(C_NAME,'') + '","Value":"' + CAST(ISNULL(ID,'') as nvarchar(10)) + '"}' from T_DICTIONARYITEMBASE where C_DICTIONARYTYPEID = @CsoportTipusTypeId and C_INTEZMENYID = @intezmenyID and C_TANEVID = @tanevID and TOROLT = 'F' order by C_VALUE

  DECLARE @csoportTipusList nVARCHAR(MAX)
  SELECT @csoportTipusList = COALESCE(@csoportTipusList + ', ', '') + options FROM @csoportTipusokTemp
  SET @csoportTipusList = ISNULL(@csoportTipusList, '')

  INSERT INTO @TEMP_RENDSZERBEALLITAS (C_BEALLITASTIPUS, C_ERTEKTIPUS, C_ALAPERTEK, C_ERTEK, SERIAL, CREATOR, C_INTEZMENYID, C_TANEVID)
    VALUES
    (1666, 1699, '{"Id":"Tanulo_sajatos_nevelesi_igenyenek_szocialis_es_tanugyi_adatainak_kezelese","Value":true}', '{"Id":"Tanulo_sajatos_nevelesi_igenyenek_szocialis_es_tanugyi_adatainak_kezelese","Value":"true"}', 0, 1, @intezmenyID, @tanevID),
    (1667, 1699, '{"Id":"Tanulo_vallasi_adatainak_kezelese","Value":"false"}', '{"Id":"Tanulo_vallasi_adatainak_kezelese","Value":"false"}', 0, 1, @intezmenyID, @tanevID),
    (1818, 1699, '{"Id":"Tanulo_sportoloi_adatainak_kezelese","Value":"false"}', '{"Id":"Tanulo_sportoloi_adatainak_kezelese","Value":"false"}', 0, 1, @intezmenyID, @tanevID),
    (1668, 1699, '{"Id":"Tanulok_osztalyok_kozotti_atsorolasa_eseten_a_csoportbontasokon_kivuli_csoportokbol_valo_kilepteteset_is_automatikusan_elvegezze_a_program","Value":"true"}', '{"Id":"Tanulok_osztalyok_kozotti_atsorolasa_eseten_a_csoportbontasokon_kivuli_csoportokbol_valo_kilepteteset_is_automatikusan_elvegezze_a_program","Value":"true"}', 0, 1, @intezmenyID, @tanevID),
    (1669, 1699, '{"Id":"A_felhasznalok_nem_valtoztathatjak_meg_a_jelszavukat_az_elektronikus_ellenorzoben","Value":"true"}', '{"Id":"A_felhasznalok_nem_valtoztathatjak_meg_a_jelszavukat_az_elektronikus_ellenorzoben","Value":"true"}', 0, 1, @intezmenyID, @tanevID),
    (1670, 1699, '{"Id":"A_tanulok_ertekeleseinel_az_ertekelesek_sulyszamainak_megjelenitese","Value":"true"}', '{"Id":"A_tanulok_ertekeleseinel_az_ertekelesek_sulyszamainak_megjelenitese","Value":"true"}', 0, 1, @intezmenyID, @tanevID),
    (1671, 1699, '{"Id":"Pedagogusok_sajat_orarendjeiket_modosithatjak_az_elektronikus_naploban","Value":"false"}', '{"Id":"Pedagogusok_sajat_orarendjeiket_modosithatjak_az_elektronikus_naploban","Value":"false"}', 0, 1, @intezmenyID, @tanevID),
    (1672, 1698, '{"Id":"A_haladasi_naplo_csak_az_alabbiak_szerint_toltheto_ki_utolag_naplozni_","Options":[{"Selected":true,"Text":"Akármit felvehet","Value":"1"},{"Selected":false,"Text":"Csak tantárgyfelosztás alapján","Value":"2"},{"Selected":false,"Text":"Semmit","Value":"3"}]}', '{"Id":"A_haladasi_naplo_csak_az_alabbiak_szerint_toltheto_ki_utolag_naplozni_","Options":[{"Selected":true,"Text":"Akármit felvehet","Value":"1"},{"Selected":false,"Text":"Csak tantárgyfelosztás alapján","Value":"2"},{"Selected":false,"Text":"Semmit","Value":"3"}]}', 0, 1, @intezmenyID, @tanevID),
    (1673, 1699, '{"Id":"A_haladasi_naploba_orankent_csak_egy_tanora_rogzitheto","Value":"true"}', '{"Id":"A_haladasi_naploba_orankent_csak_egy_tanora_rogzitheto","Value":"true"}', 0, 1, @intezmenyID, @tanevID),
    (1674, 1699, '{"Id":"Elmaradt_tanitasi_ora_rogzitesenek_tiltasa","Value":"false"}', '{"Id":"Elmaradt_tanitasi_ora_rogzitesenek_tiltasa","Value":"false"}', 0, 1, @intezmenyID, @tanevID),
    (1675, 1699, '{"Id":"Pedagogusok_csak_az_eloirt_helyettesiteseiket_regisztralhatjak_a_haladasi_naploban","Value":"false"}', '{"Id":"Pedagogusok_csak_az_eloirt_helyettesiteseiket_regisztralhatjak_a_haladasi_naploban","Value":"false"}', 0, 1, @intezmenyID, @tanevID),
    (1677, 1699, '{"Id":"Osztalyfonok_modosithatja_osztalyaba_jaro_tanulok_adatait","Value":"false"}', '{"Id":"Osztalyfonok_modosithatja_osztalyaba_jaro_tanulok_adatait","Value":"false"}', 0, 1, @intezmenyID, @tanevID),
    (1678, 1699, '{"Id":"Osztalyfonok_megtekintheti_modosithatja_osztalyaba_jaro_tanulok_szocialis_tanugyi_es_SNI_BTM_adatait","Value":"false"}', '{"Id":"Osztalyfonok_megtekintheti_modosithatja_osztalyaba_jaro_tanulok_szocialis_tanugyi_es_SNI_BTM_adatait","Value":"false"}', 0, 1, @intezmenyID, @tanevID),
    (1679, 1699, '{"Id":"Osztalyfonok_megtekintheti_modosithatja_osztalyaba_jaro_tanulok_zaradekat","Value":"false"}', '{"Id":"Osztalyfonok_megtekintheti_modosithatja_osztalyaba_jaro_tanulok_zaradekat","Value":"false"}', 0, 1, @intezmenyID, @tanevID),
    (1680, 1699, '{"Id":"Osztalyfonok_megtekintheti_kezelheti_az_osztalyaba_jaro_tanulok_vallasi_adatait","Value":"false"}', '{"Id":"Osztalyfonok_megtekintheti_kezelheti_az_osztalyaba_jaro_tanulok_vallasi_adatait","Value":"false"}', 0 ,1, @intezmenyID, @tanevID),
    (1764, 1699, '{"Id":"Osztalyfonok_megtekintheti_modosithatja_osztalyaba_jaro_tanulok_sportoloi_adatait","Value":"false"}', '{"Id":"Osztalyfonok_megtekintheti_modosithatja_osztalyaba_jaro_tanulok_sportoloi_adatait","Value":"false"}', 0, 1, @intezmenyID, @tanevID),
    (1681, 1699, '{"Id":"Ertekelesnel_a_naplojegyek_atlaga_megjelenik","Value":"true"}', '{"Id":"Ertekelesnel_a_naplojegyek_atlaga_megjelenik","Value":"true"}', 0, 1, @intezmenyID, @tanevID),
    (1682, 1698, '{"Id":"Magantanulo_oralatogatas_aloli_mentessegenek_kezelese","Options":[{"Selected":true,"Text":"Nem kell megjelennie","Value":"1"},{"Selected":false,"Text":"Csak gyakorlaton","Value":"2"},{"Selected":false,"Text":"Minden órán","Value":"3"}]}', '{"Id":"Magantanulo_oralatogatas_aloli_mentessegenek_kezelese","Options":[{"Selected":true,"Text":"Nem kell megjelennie","Value":"1"},{"Selected":false,"Text":"Csak gyakorlaton","Value":"2"},{"Selected":false,"Text":"Minden órán","Value":"3"}]}', 0, 1, @intezmenyID, @tanevID),
    (1683, 1699, '{"Id":"Az_iskolaerdeku_tavollet_tipusu_igazolasok_beleszamitanak_a_tanulo_osszes_mulasztasaba","Value":"true"}', '{"Id":"Az_iskolaerdeku_tavollet_tipusu_igazolasok_beleszamitanak_a_tanulo_osszes_mulasztasaba","Value":"true"}', 0, 1, @intezmenyID, @tanevID),
    (1684, 1699, '{"Id":"Osztalyfonok_szamara_tiltott_a_mulasztasi_adatok_modositasa","Value":"false"}', '{"Id":"Osztalyfonok_szamara_tiltott_a_mulasztasi_adatok_modositasa","Value":"false"}', 0, 1, @intezmenyID, @tanevID),
    (1685, 1699, '{"Id":"A_foglalkozasok_mulasztasi_adatai_megadasanal_a_parhuzamos_orakkal_valo_utkozes_vizsgalata","Value":"true"}', '{"Id":"A_foglalkozasok_mulasztasi_adatai_megadasanal_a_parhuzamos_orakkal_valo_utkozes_vizsgalata","Value":"true"}', 0, 1, @intezmenyID, @tanevID),
    (2882, 2884, '{"Id":"Az_elektronikus_naplo_megjelenesenek_kezdoidopontja","Time":"07:00:00"}', '{"Id":"Az_elektronikus_naplo_megjelenesenek_kezdoidopontja","Time":"07:00:00"}', 0, 1, @intezmenyID, @tanevID),
    (2883, 2884, '{"Id":"Az_elektronikus_naplo_megjelenesenek_zaroidopontja","Time":"18:00:00"}', '{"Id":"Az_elektronikus_naplo_megjelenesenek_zaroidopontja","Time":"18:00:00"}', 0, 1, @intezmenyID, @tanevID),
    (2874, 2886, '{"Id":"Szakszeru_helyettesites_eseten_az_elszamolt_oraszam","Value":"1"}', '{"Id":"Szakszeru_helyettesites_eseten_az_elszamolt_oraszam","Value":"1"}', 0, 1, @intezmenyID, @tanevID),
    (2875, 2886, '{"Id":"Nem_szakszeru_felugyelet_helyettesites_eseten_az_elszamolt_oraszam","Value":"0.5"}', '{"Id":"Nem_szakszeru_felugyelet_helyettesites_eseten_az_elszamolt_oraszam","Value":"0.5"}', 0, 1, @intezmenyID, @tanevID),
    (2876, 2886, '{"Id":"Oraosszevonasos_helyettesites_eseten_az_elszamolt_oraszam","Value":"0.3"}', '{"Id":"Oraosszevonasos_helyettesites_eseten_az_elszamolt_oraszam","Value":"0.3"}', 0, 1, @intezmenyID, @tanevID),
    (2877, 1699, '{"Id":"Lehet_e_helyettesites_tulora","Value":"false"}', '{"Id":"Lehet_e_helyettesites_tulora","Value":"false"}', 0, 1, @intezmenyID, @tanevID),
    (3006, 1699, '{"Id":"Tanar_vehet_e_fel_orat_maganak","Value":"true"}', '{"Id":"Tanar_vehet_e_fel_orat_maganak","Value":"true"}', 0, 1, @intezmenyID, @tanevID),
    (3015, 1699, '{"Id":"Lehet_orat_felvenni_TTF_nelkul","Value":"true"}', '{"Id":"Lehet_orat_felvenni_TTF_nelkul","Value":"true"}', 0, 1, @intezmenyID, @tanevID),
    (3037, 1699, '{"Id":"Foglalkozasnal_csak_osztaly_es_tanora_jellegu_csoport_allithato","Value":"true"}', '{"Id":"Foglalkozasnal_csak_osztaly_es_tanora_jellegu_csoport_allithato","Value":"true"}', 0, 1, @intezmenyID, @tanevID),
    (3039, 2886, '{"Id":"Egy_statuszra_juto_kotelezo_oraszam","Value":"22"}', '{"Id":"Egy_statuszra_juto_kotelezo_oraszam","Value":"22"}', 0, 1, @intezmenyID, @tanevID),
    (2885, 1698, '{"Id":"Tanulo_felhasznaloi_nev_generalas_modja","Options":[{"Selected":true,"Text":"Oktatási azonosító alapján","Value":"1"},{"Selected":false,"Text":"Kréta kód alapján","Value":"2"},{"Selected":false,"Text":"Egyéni","Value":"3"}]}', '{"Id":"Tanulo_felhasznaloi_nev_generalas_modja","Options":[{"Selected":true,"Text":"Oktatási azonosító alapján","Value":"1"},{"Selected":false,"Text":"Kréta kód alapján","Value":"2"},{"Selected":false,"Text":"Egyéni","Value":"3"}]}', 0, 1, @intezmenyID, @tanevID),
    (3074, 1699, '{"Id":"helyettesites_eseten_felugyelet_alapertelmezetten_sorszamozando","Value":"false"}', '{"Id":"helyettesites_eseten_felugyelet_alapertelmezetten_sorszamozando","Value":"false"}', 0, 1,@intezmenyID,@tanevID),
    (3075, 1699, '{"Id":"tanitasiOra_sorszamozas_mod","Value":"true"}', '{"Id":"tanitasiOra_sorszamozas_mod","Value":"true"}', 0, 1, @intezmenyID, @tanevID),
    (3076, 1696, '{"Id":"Ertekeles_datumanak_minimuma","Date":"' + @evElsoNapja + '"}', '{"Id":"Ertekeles_datumanak_minimuma","Date":"' + @evElsoNapja + '"}', 0, 1, @intezmenyID, @tanevID),
    (5222, 1697, '{"Id":"Ertekelesek_oldalon_levo_keresok_alapertelemezett_feltoltese_ezek_alapjan","Options":[{"Selected":true,"Text":"TTF","Value":"1"},{"Selected":false,"Text":"Osztályfőnök","Value":"2"},{"Selected":false,"Text":"Bárki","Value":"3"}]}', '{"Id":"Ertekelesek_oldalon_levo_keresok_alapertelemezett_feltoltese_ezek_alapjan","Options":[{"Selected":true,"Text":"TTF","Value":"1"},{"Selected":false,"Text":"Osztályfőnök","Value":"2"},{"Selected":false,"Text":"Bárki","Value":"3"}]}', 0, 1, @intezmenyID, @tanevID),
    (3078, 1699, '{"Id":"tanitasiOra_sorszamozas_csoportbontas","Value":"true"}', '{"Id":"tanitasiOra_sorszamozas_csoportbontas","Value":"true"}', 0, 1, @intezmenyID, @tanevID),
    (3079, 1697, '{"Id":"Havi_vagy_heti_naplozaras","Options":[{"Selected":false,"Text":"Havi","Value":"1"},{"Selected":false,"Text":"Heti","Value":"2"},{"Selected":true,"Text":"Nincs megadva","Value":"3"}]}', '{"Id":"Havi_vagy_heti_naplozaras","Options":[{"Selected":false,"Text":"Havi","Value":"1"},{"Selected":false,"Text":"Heti","Value":"2"},{"Selected":true,"Text":"Nincs megadva","Value":"3"}]}', 0, 1, @intezmenyID, @tanevID),
    (3080, 2886 ,'{"Id":"Naplozaras_havi_ertek","Value":"28"}', '{"Id":"Naplozaras_havi_ertek","Value":"28"}', 0, 1, @intezmenyID, @tanevID),
    (3081, 2886, '{"Id":"Naplozaras_heti_ertek","Value":"6"}' , '{"Id":"Naplozaras_heti_ertek","Value":"6"}', 0, 1, @intezmenyID, @tanevID),
    (3082, 1696, '{"Id":"Naplozaras_eves_datuma","Date":"' + @evElsoNapja + '"}', '{"Id":"Naplozaras_eves_datuma","Date":"' + @evElsoNapja + '"}', 0, 1, @intezmenyID, @tanevID),
    (3083, 2884, '{"Id":"Nem_kotott_munkaido_megjelenesenek_kezdoidopontja","Time":"10:00:00"}', '{"Id":"Nem_kotott_munkaido_megjelenesenek_kezdoidopontja","Time":"10:00:00"}', 0, 1, @intezmenyID, @tanevID),
    (3084, 2884, '{"Id":"Nem_kotott_munkaido_megjelenesenek_zaroidopontja","Time":"15:00:00"}', '{"Id":"Nem_kotott_munkaido_megjelenesenek_zaroidopontja","Time":"15:00:00"}', 0, 1, @intezmenyID, @tanevID),
    (5223, 1697, '{"Id":"Magatartas_szorgalom_ertekelesek_oldalon_levo_keresok_alapertelemezett_feltoltese_ezek_alapjan","Options":[{"Selected":true,"Text":"Osztályfőnök","Value":"1"},{"Selected":false,"Text":"TTF","Value":"2"}]}', '{"Id":"Magatartas_szorgalom_ertekelesek_oldalon_levo_keresok_alapertelemezett_feltoltese_ezek_alapjan","Options":[{"Selected":true,"Text":"Osztályfőnök","Value":"1"},{"Selected":false,"Text":"TTF","Value":"2"}]}', 0, 1, @intezmenyID, @tanevID),
    (5225, 1698, '{"Id":"Tanuloi_jelszavak_generalasa_az_alabbi_ertek_alapjan","Options":[{"Selected":true,"Text":"Születési dátum","Value":"1"},{"Selected":false,"Text":"Véletlenszerű","Value":"2"},{"Selected":false,"Text":"Egyéni","Value":"3"}]}','{"Id":"Tanuloi_jelszavak_generalasa_az_alabbi_ertek_alapjan","Options":[{"Selected":true,"Text":"Születési dátum","Value":"1"},{"Selected":false,"Text":"Véletlenszerű","Value":"2"},{"Selected":false,"Text":"Egyéni","Value":"3"}]}', 0, 1, @intezmenyID, @tanevID),
    (5226, 1698, '{"Id":"Gondviselo_felhasznalonev_generalasa_az_alabbi_ertek_alapjan","Options":[{"Selected":true,"Text":"Oktatási azonosító alapján","Value":"1"},{"Selected":false,"Text":"Kréta kód alapján","Value":"2"},{"Selected":false,"Text":"Egyéni","Value":"3"}]}', '{"Id":"Gondviselo_felhasznalonev_generalasa_az_alabbi_ertek_alapjan","Options":[{"Selected":true,"Text":"Oktatási azonosító alapján","Value":"1"},{"Selected":false,"Text":"Kréta kód alapján","Value":"2"},{"Selected":false,"Text":"Egyéni","Value":"3"}]}', 0, 1, @intezmenyID, @tanevID),
    (5227, 1698, '{"Id":"Gondviselo_jelszavak_generalasa_az_alabbi_ertek_alapjan","Options":[{"Selected":true,"Text":"Születési dátum","Value":"1"},{"Selected":false,"Text":"Véletlenszerű","Value":"2"},{"Selected":false,"Text":"Egyéni","Value":"3"}]}','{"Id":"Gondviselo_jelszavak_generalasa_az_alabbi_ertek_alapjan","Options":[{"Selected":true,"Text":"Születési dátum","Value":"1"},{"Selected":false,"Text":"Véletlenszerű","Value":"2"},{"Selected":false,"Text":"Egyéni","Value":"3"}]}', 0, 1, @intezmenyID, @tanevID),
    (5261, 1698, '{"Id":"Napirend_felvitelel_utkozes_figyeles","Options":[{"Selected":true,"Text":"Ütközés nem lehetséges","Value":"1"},{"Selected":false,"Text":"Figyelmeztetés","Value":"2"},{"Selected":false,"Text":"Ütközés lehetséges","Value":"3"}]}', '{"Id":"Napirend_felvitelel_utkozes_figyeles","Options":[{"Selected":true,"Text":"Ütközés nem lehetséges","Value":"1"},{"Selected":false,"Text":"Figyelmeztetés","Value":"2"},{"Selected":false,"Text":"Ütközés lehetséges","Value":"3"}]}', 0, 1, @intezmenyID, @tanevID),
    (5436, 1699, '{"Id":"Osztalyfonok_ertekeles_osszes_targybol","Value":false}', '{"Id":"Osztalyfonok_ertekeles_osszes_targybol","Value":"false"}', 0, 1, @intezmenyID, @tanevID),
    (5437, 1699, '{"Id":"Ora_sorszamozasat_naplozo_pedagogus_eldontheti","Value":true}', '{"Id":"Ora_sorszamozasat_naplozo_pedagogus_eldontheti","Value":"true"}', 0, 1, @intezmenyID, @tanevID),
    (7362, 1696, '{"Id":"I_Negyedeves_jegyek_megjelenesenek_datuma","Date":"' + @I_negyedevDatum + '"}', '{"Id":"I_Negyedeves_jegyek_megjelenesenek_datuma","Date":"' + @I_negyedevDatum + '"}', 0, 1, @intezmenyID, @tanevID),
    (7363, 1696, '{"Id":"II_Negyedeves_jegyek_megjelenesenek_datuma","Date":"' + @II_negyedevDatum + '"}', '{"Id":"II_Negyedeves_jegyek_megjelenesenek_datuma","Date":"' + @II_negyedevDatum + '"}', 0, 1, @intezmenyID, @tanevID),
    (7364, 1696, '{"Id":"III_Negyedeves_jegyek_megjelenesenek_datuma","Date":"' + @III_negyedevDatum + '"}', '{"Id":"III_Negyedeves_jegyek_megjelenesenek_datuma","Date":"' + @III_negyedevDatum + '"}', 0, 1, @intezmenyID, @tanevID),
    (7365, 1696, '{"Id":"IV_Negyedeves_jegyek_megjelenesenek_datuma","Date":"' + @IV_negyedevDatum + '"}', '{"Id":"IV_Negyedeves_jegyek_megjelenesenek_datuma","Date":"' + @IV_negyedevDatum + '"}', 0, 1, @intezmenyID, @tanevID),
    (5438, 1696, '{"Id":"Felevi_jegyek_megjelenesenek_datuma","Date":"' + @felevVegeDatum + '"}', '{"Id":"Felevi_jegyek_megjelenesenek_datuma","Date":"' + @felevVegeDatum + '"}', 0, 1, @intezmenyID, @tanevID),
    (5439, 1696, '{"Id":"Ev_vegi_jegyek_megjelenesenek_datuma","Date":"' + @evVegeDatum + '"}', '{"Id":"Ev_vegi_jegyek_megjelenesenek_datuma","Date":"' + @evVegeDatum + '"}', 0, 1, @intezmenyID, @tanevID),
    (5440, 1696, '{"Id":"Ev_vegi_jegyek_megjelenesenek_datuma_vegzos","Date":"' + @evVegeDatum + '"}', '{"Id":"Ev_vegi_jegyek_megjelenesenek_datuma_vegzos","Date":"' + @evVegeDatum + '"}', 0, 1, @intezmenyID, @tanevID),
    (5441, 5442, '{"Id":"Alkalmazottak_lathatjak_a_diakok_adatait","Options":[' + @optionList + ']}', '{"Id":"Alkalmazottak_lathatjak_a_diakok_adatait","Options":[' + @optionList + ']}', 0, 1, @intezmenyID, @tanevID),
    (5449, 1698, '{"Id":"Naplozaskor_mulasztas_szazalek_szamitas","Options":[{"Selected":true,"Text":"Órarendi órák száma alapján","Value":"1"},{"Selected":false,"Text":"Megtartott óraszám alapján","Value":"2"}]}', '{"Id":"Naplozaskor_mulasztas_szazalek_szamitas","Options":[{"Selected":true,"Text":"Órarendi órák száma alapján","Value":"1"},{"Selected":false,"Text":"Megtartott óraszám alapján","Value":"2"}]}', 0, 1, @intezmenyID, @tanevID),
    (6717, 1699, '{"Id":"Naplozas_terem_befogadokepesseg","Value":true}', '{"Id":"Naplozas_terem_befogadokepesseg","Value":"true"}', 0, 1, @intezmenyID, @tanevID),
    (6764, 5442, '{"Id":"Tanorahoz_tartozo_csoportok","Options":[' + @csoportTipusList + ']}', '{"Id":"Tanorahoz_tartozo_csoportok","Options":[' + @csoportTipusList + ']}', 0, 1, @intezmenyID, @tanevID),
    (6765, 1699, '{"Id":"Tanulo_Egy_Tanev_Egy_Evfolyam","Value":true}', '{"Id":"Tanulo_Egy_Tanev_Egy_Evfolyam","Value":"true"}', 0, 1, @intezmenyID, @tanevID),
    (6766, 1699, '{"Id":"Naplo_Tanulo_Aktualis_Osztaly_Ertekelesei_Mulasztasai","Value":true}', '{"Id":"Naplo_Tanulo_Aktualis_Osztaly_Ertekelesei_Mulasztasai","Value":"true"}', 0, 1, @intezmenyID, @tanevID),
    (6767, 1699, '{"Id":"Gondviselo_Auto_Email","Value":false}', '{"Id":"Gondviselo_Auto_Email","Value":"false"}', 0, 1, @intezmenyID, @tanevID),
    (6768, 1699, '{"Id":"Feljegyzes_Osszes_Osztaly","Value":true}', '{"Id":"Feljegyzes_Osszes_Osztaly","Value":"true"}', 0, 1, @intezmenyID, @tanevID),
    (6769, 1699, '{"Id":"Csoportvezeto_Tanulo_Adat_Modositas","Value":true}', '{"Id":"Csoportvezeto_Tanulo_Adat_Modositas","Value":"true"}', 0, 1, @intezmenyID, @tanevID),
    (6770, 1699, '{"Id":"Csoportvezeto_Tanora_Celu_Csoportok","Value":false}', '{"Id":"Csoportvezeto_Tanora_Celu_Csoportok","Value":"false"}', 0, 1, @intezmenyID, @tanevID),
    (6830, 1699, '{"Id":"SuccessFeedBack_Disable","Value":false}', '{"Id":"SuccessFeedBack_Disable","Value":"false"}', 0, 1, @intezmenyID, @tanevID),
    (6854, 1699, '{"Id":"Magatartas_Szorgalom_Ertekeles_Csak_Ofokent","Value":true}', '{"Id":"Magatartas_Szorgalom_Ertekeles_Csak_Ofokent","Value":"true"}', 0, 1, @intezmenyID, @tanevID),
    (6941, 1698, '{"Id":"Teremutkozes_figyeles","Options":[{"Selected":false,"Text":"Ütközés nem lehetséges","Value":"1"},{"Selected":true,"Text":"Figyelmeztetés","Value":"2"},{"Selected":false,"Text":"Ütközés lehetséges","Value":"3"}]}', '{"Id":"Teremutkozes_figyeles","Options":[{"Selected":false,"Text":"Ütközés nem lehetséges","Value":"1"},{"Selected":true,"Text":"Figyelmeztetés","Value":"2"},{"Selected":false,"Text":"Ütközés lehetséges","Value":"3"}]}', 0, 1, @intezmenyID, @tanevID),
    (7094, 1699, '{"Id":"Diak_altali_hazifeladatok_rogzitese","Value":true}', '{"Id":"Diak_altali_hazifeladatok_rogzitese","Value":"true"}', 0, 1, @intezmenyID, @tanevID),
    (7106, 1696, '{"Id":"Osszefuggo_gyakorlat_kezd_datum","Date":"' + @osszefuggoGyakorlatKezdDatum + '"}', '{"Id":"Osszefuggo_gyakorlat_kezd_datum","Date":"' + @osszefuggoGyakorlatKezdDatum + '"}', 0, 1, @intezmenyID, @tanevID),
    (7107, 1696, '{"Id":"Osszefuggo_gyakorlat_veg_datum","Date":"' + @osszefuggoGyakorlatVegDatum + '"}', '{"Id":"Osszefuggo_gyakorlat_veg_datum","Date":"' + @osszefuggoGyakorlatVegDatum + '"}', 0, 1, @intezmenyID, @tanevID),
    (7108, 1699, '{"Id":"Osszefuggo_gyakorlat_egyedi_rogzites","Value":"false"}', '{"Id":"Osszefuggo_gyakorlat_egyedi_rogzites","Value":"false"}', 0, 1, @intezmenyID, @tanevID),
    (7130, 2886 ,'{"Id":"Ervenyes_tanitasi_nap_oraszam","Value":"3"}', '{"Id":"Ervenyes_tanitasi_nap_oraszam","Value":"3"}', 0, 1, @intezmenyID, @tanevID),
    (7131, 1698, '{"Id":"Ertekelesek_Mulasztasok_Feljegyzesek_Kezelese_Osztalyvaltas_Eseten","Options":[{"Selected":false,"Text":"Semelyiket","Value":"0"},{"Selected":true,"Text":"Csak a közös tárgyakét(feljegyzéseknél mindegyiket)","Value":"1"},{"Selected":false,"Text":"Mindegyiket","Value":"2"}]}', '{"Id":"Ertekelesek_Mulasztasok_Feljegyzesek_Kezelese_Osztalyvaltas_Eseten","Options":[{"Selected":false,"Text":"Semelyiket","Value":"0"},{"Selected":true,"Text":"Csak a közös tárgyakét(feljegyzéseknél mindegyiket)","Value":"1"},{"Selected":false,"Text":"Mindegyiket","Value":"2"}]}', 0, 1, @intezmenyID, @tanevID),
    (7132, 1698, '{"Id":"Ertekelesek_Mulasztasok_Feljegyzesek_Kezelese_Evfolyamvaltas_Eseten","Options":[{"Selected":true,"Text":"Semelyiket","Value":"0"},{"Selected":false,"Text":"Csak a közös tárgyakét(feljegyzéseknél mindegyiket)","Value":"1"},{"Selected":false,"Text":"Mindegyiket","Value":"2"}]}', '{"Id":"Ertekelesek_Mulasztasok_Feljegyzesek_Kezelese_Evfolyamvaltas_Eseten","Options":[{"Selected":true,"Text":"Semelyiket","Value":"0"},{"Selected":false,"Text":"Csak a közös tárgyakét(feljegyzéseknél mindegyiket)","Value":"1"},{"Selected":false,"Text":"Mindegyiket","Value":"2"}]}', 0, 1, @intezmenyID, @tanevID),
    (7360, 5442, '{"Id":"Tanar_Feluleten_Orarend_Lathatosag","Options":[{"Selected":false,"Text":"Tanári órarendek","Value":"TanariOrarendKereso"}, {"Selected":false,"Text":"Osztály órarendek","Value":"OsztalyOrarendKereso"}, {"Selected":false,"Text":"Terem órarendek","Value":"TeremOrarendKereso"}]}', '{"Id":"Tanar_Feluleten_Orarend_Lathatosag","Options":[{"Selected":false,"Text":"Tanári órarendek","Value":"TanariOrarendKereso"}, {"Selected":false,"Text":"Osztály órarendek","Value":"OsztalyOrarendKereso"}, {"Selected":false,"Text":"Terem órarendek","Value":"TeremOrarendKereso"}]}', 0, 1, @intezmenyID, @tanevID),
    (7361, 1699, '{"Id":"Tanora_Tema_Az_Ellenorzoben","Value":"true"}', '{"Id":"Tanora_Tema_Az_Ellenorzoben","Value":"true"}', 0, 1, @intezmenyID, @tanevID),
    (7375, 1699, '{"Id":"Csokkentett_gondviselok_kezelese","Value":"true"}', '{"Id":"Csokkentett_gondviselok_kezelese","Value":"true"}', 0, 1, @intezmenyID, @tanevID),
    (7380, 1697, '{"Id":"Ertekelesek_megjelenese_az_ellenorzo_modulban","Options":[{"Selected":true,"Text":"Nincs késletetés","Value":"0"},{"Selected":false,"Text":"6 óra","Value":"6"},{"Selected":false,"Text":"12 óra","Value":"12"},{"Selected":false,"Text":"24 óra","Value":"24"}]}', '{"Id":"Ertekelesek_megjelenese_az_ellenorzo_modulban","Options":[{"Selected":true,"Text":"Nincs késletetés","Value":"0"},{"Selected":false,"Text":"6 óra","Value":"6"},{"Selected":false,"Text":"12 óra","Value":"12"},{"Selected":false,"Text":"24 óra","Value":"24"}]}', 0, 1, @intezmenyID, @tanevID),
    (7563, 1699, '{"Id":"Osztalyatlag_megjelenitese_az_ellenorzo_feluleten","Value":"true"}', '{"Id":"Osztalyatlag_megjelenitese_az_ellenorzo_feluleten","Value":"true"}', 0, 1, @intezmenyID, @tanevID),
    (7564, 1699, '{"Id":"Fogadoorak_megjelenitese","Value":true}', '{"Id":"Fogadoorak_megjelenitese","Value":"true"}', 0, 1, @intezmenyID, @tanevID),
    (7565, 1697, '{"Id":"Default_Feladat_Kategoria","Options":[{"Selected":false,"Text":"Minden","Value":"0"},{"Selected":true,"Text":"Nevelés-oktatás","Value":"7553"},{"Selected":false,"Text":"Alapfokú művészetoktatás","Value":"7555"},{"Selected":false,"Text":"EGYMI","Value":"7717"},{"Selected":false,"Text":"Kollégium","Value":"7556"}]}', '{"Id":"Default_Feladat_Kategoria","Options":[{"Selected":false,"Text":"Minden","Value":"0"},{"Selected":true,"Text":"Nevelés-oktatás","Value":"7553"},{"Selected":false,"Text":"Alapfokú művészetoktatás","Value":"7555"},{"Selected":false,"Text":"EGYMI","Value":"7717"},{"Selected":false,"Text":"Kollégium","Value":"7556"}]}', 0, 1, @intezmenyID, @tanevID),
    (7568, 1699, '{"Id":"Egyeni_Csoportok_Automatikus_Letrehozasa","Value":"true"}', '{"Id":"Egyeni_Csoportok_Automatikus_Letrehozasa","Value":"true"}', 0, 1, @intezmenyID, @tanevID),
    (7650, 2884, '{"Id":"Fogado_Ora_Kezdoidopontja","Time":"10:00:00"}', '{"Id":"Fogado_Ora_Kezdoidopontja","Time":"10:00:00"}', 0, 1, @intezmenyID, @tanevID),
    (7651, 2884, '{"Id":"Fogado_Ora_Zaroidopontja","Time":"18:00:00"}', '{"Id":"Fogado_Ora_Zaroidopontja","Time":"18:00:00"}', 0, 1, @intezmenyID, @tanevID),
    (7661, 1697, '{"Id":"Napi_Szamonkeresi_Limit","Options":[{"Selected":true,"Text":"Nincs megadva","Value":"0"},{"Selected":false,"Text":"1","Value":"1"},{"Selected":false,"Text":"2","Value":"2"},{"Selected":false,"Text":"3","Value":"3"},{"Selected":false,"Text":"4","Value":"4"},{"Selected":false,"Text":"5","Value":"5"},{"Selected":false,"Text":"6","Value":"6"},{"Selected":false,"Text":"7","Value":"7"},{"Selected":false,"Text":"8","Value":"8"},{"Selected":false,"Text":"9","Value":"9"},{"Selected":false,"Text":"10","Value":"10"}]}', '{"Id":"Napi_Szamonkeresi_Limit","Options":[{"Selected":true,"Text":"Nincs megadva","Value":"0"},{"Selected":false,"Text":"1","Value":"1"},{"Selected":false,"Text":"2","Value":"2"},{"Selected":false,"Text":"3","Value":"3"},{"Selected":false,"Text":"4","Value":"4"},{"Selected":false,"Text":"5","Value":"5"},{"Selected":false,"Text":"6","Value":"6"},{"Selected":false,"Text":"7","Value":"7"},{"Selected":false,"Text":"8","Value":"8"},{"Selected":false,"Text":"9","Value":"9"},{"Selected":false,"Text":"10","Value":"10"}]}', 0, 1, @intezmenyID, @tanevID),
    (7662, 5442, '{"Id":"Ertekeles_Modok_Beallitasa_Napi_Limithez","Options":[' + @ErtekelesModOptionList + ']}', '{"Id":"Ertekeles_Modok_Beallitasa_Napi_Limithez","Options":[' + @ErtekelesModOptionList + ']}', 0, 1, @intezmenyID, @tanevID),
    (7663, 1698, '{"Id":"Limit_Figyelmeztetesi_Tiltasi_Beallitas","Options":[{"Selected":false,"Text":"Napi limiten túli számonkérés rögzítése nem lehetséges","Value":"1"},{"Selected":true,"Text":"Figyelmeztető ablak","Value":"2"},{"Selected":false,"Text":"Napi limiten túli számonkérés rögzítése lehetséges","Value":"3"}]}', '{"Id":"Limit_Figyelmeztetesi_Tiltasi_Beallitas","Options":[{"Selected":false,"Text":"Napi limiten túli számonkérés rögzítése nem lehetséges","Value":"1"},{"Selected":true,"Text":"Figyelmeztető ablak","Value":"2"},{"Selected":false,"Text":"Napi limiten túli számonkérés rögzítése lehetséges","Value":"3"}]}', 0, 1, @intezmenyID, @tanevID),
    (7680, 5442, '{"Id":"Ertekeleseknel_Megjeleno_Specialis_Gombok_Lathatosaga","Options":[{"Selected":true,"Text":"-","Value":"1"},{"Selected":true,"Text":"5D","Value":"2"},{"Selected":false,"Text":"5K","Value":"3"},{"Selected":true,"Text":"MT","Value":"4"}]}', '{"Id":"Ertekeleseknel_Megjeleno_Specialis_Gombok_Lathatosaga","Options":[{"Selected":true,"Text":"-","Value":"1"},{"Selected":true,"Text":"5D","Value":"2"},{"Selected":false,"Text":"5K","Value":"3"},{"Selected":true,"Text":"MT","Value":"4"}]}', 0, 1, @intezmenyID, @tanevID),
    (7683, 1698, '{"Id":"Foglalkozasok_Rogzitese_Hetvegere","Options":[{"Selected":true,"Text":"Csak hétköznap (H-P)","Value":"1"},{"Selected":false,"Text":"Hétköznap és + minden szombat (H-Sz)","Value":"2"},{"Selected":false,"Text":"Minden nap (H-V)","Value":"3"}]}', '{"Id":"Foglalkozasok_Rogzitese_Hetvegere","Options":[{"Selected":true,"Text":"Csak hétköznap (H-P)","Value":"1"},{"Selected":false,"Text":"Hétköznap és + minden szombat (H-Sz)","Value":"2"},{"Selected":false,"Text":"Minden nap (H-V)","Value":"3"}]}', 0, 1, @intezmenyID, @tanevID),
    (7699, 1699, '{"Id":"Osztalyfonok_kiegeszitheti_osztalyaba_jaro_tanulok_ki_vagy_atsorolsasi_zaradekat","Value":"false"}', '{"Id":"Osztalyfonok_kiegeszitheti_osztalyaba_jaro_tanulok_ki_vagy_atsorolsasi_zaradekat","Value":"false"}', 0, 1, @intezmenyID, @tanevID),
    (7700, 1699, '{"Id":"Osztalyfonok_Modosithatjae_Tanulok_Mulasztasi_Adatait","Value":"true"}', '{"Id":"Osztalyfonok_Modosithatjae_Tanulok_Mulasztasi_Adatait","Value":"true"}', 0, 1, @intezmenyID, @tanevID),
    (7707, 2886, '{"Id":"Szakszeru_helyettesites_Szazalekos_Ertek_Osszegbe","Value":"100"}', '{"Id":"Szakszeru_helyettesites_Szazalekos_Ertek_Osszegbe","Value":"100"}', 0, 1, @intezmenyID, @tanevID),
    (7708, 2886, '{"Id":"Nem_Szakszeru_Helyettesites_Szazalekos_Ertek_Osszegbe","Value":"100"}', '{"Id":"Nem_Szakszeru_Helyettesites_Szazalekos_Ertek_Osszegbe","Value":"100"}', 0, 1, @intezmenyID, @tanevID),
    (7709, 2886, '{"Id":"Oraosszevonas_Szazalekos_Ertek_Osszegbe","Value":"100"}', '{"Id":"Oraosszevonas_Szazalekos_Ertek_Osszegbe","Value":"100"}', 0, 1, @intezmenyID, @tanevID),
    (7710, 2886, '{"Id":"Osszevont_Felugyelet_Szazalekos_Ertek_Osszegbe","Value":"100"}', '{"Id":"Osszevont_Felugyelet_Szazalekos_Ertek_Osszegbe","Value":"100"}', 0, 1, @intezmenyID, @tanevID),
    (7718, 1698, '{"Id":"Csoportvezetok_Igazolasi_Jogosultsaga","Options":[{"Selected":true,"Text":"Nem igazolhatnak","Value":"1"},{"Selected":false,"Text":"Csak igazoltra állíthatnak","Value":"2"},{"Selected":false,"Text":"Bármit beállíthatnak","Value":"3"}]}','{"Id":"Csoportvezetok_Igazolasi_Jogosultsaga","Options":[{"Selected":true,"Text":"Nem igazolhatnak","Value":"1"},{"Selected":false,"Text":"Csak igazoltra állíthatnak","Value":"2"},{"Selected":false,"Text":"Bármit beállíthatnak","Value":"3"}]}', 0, 1, @intezmenyID, @tanevID),
    (7770, 2886, '{"Id":"Bukas_Veszelyre_Figyelmeztetes_Hatara","Value":"2"}', '{"Id":"Bukas_Veszelyre_Figyelmeztetes_Hatara","Value":"2"}', 0, 1, @intezmenyID, @tanevID),
    (7771, 1699, '{"Id":"Szakgimnaziumok_Alapkezpeseskent_Tudjak_Kezelni_osztalyokat_Tanulokat","Value":"false"}', '{"Id":"Szakgimnaziumok_Alapkezpeseskent_Tudjak_Kezelni_osztalyokat_Tanulokat","Value":"false"}', 0, 1, @intezmenyID, @tanevID),
    (7784, 5442, '{"Id":"Nemzeti_Nyelvi_Dokumentum_Nyelvek","Options":[{"Selected":false,"Text":"horvát","Value":"500"},{"Selected":false,"Text":"német","Value":"507"},{"Selected":false,"Text":"román","Value":"523"},{"Selected":false,"Text":"szerb","Value":"536"}]}', '{"Id":"Nemzeti_Nyelvi_Dokumentum_Nyelvek","Options":[{"Selected":false,"Text":"horvát","Value":"500"},{"Selected":false,"Text":"német","Value":"507"},{"Selected":false,"Text":"román","Value":"523"},{"Selected":false,"Text":"szerb","Value":"536"}]}', 0, 1, @intezmenyID, @tanevID),
    (7785, 5442, '{"Id":"Tavollet_Jogosult_Szerepkor","Options":[{"Selected":false,"Text":"Alkalmazott","Value":"1"},{"Selected":false,"Text":"Pedagógus","Value":"2"}]}', '{"Id":"Tavollet_Jogosult_Szerepkor","Options":[{"Selected":false,"Text":"Alkalmazott","Value":"1"},{"Selected":false,"Text":"Pedagógus","Value":"2"}]}', 0, 1, @intezmenyID, @tanevID),
    (7786, 1699, '{"Id":"Orarendi_Elem_Hossz","Value":false}', '{"Id":"Orarendi_Elem_Hossz","Value":"false"}', 0, 1, @intezmenyID, @tanevID),
    (7800, 1699, '{"Id":"Ertesitesek_kuldese_a_mobil_alkalmazasok_szamara_a_tanulok_hazi_feladatokhoz_irt_hozzaszolasairol","Value":false}', '{"Id":"Ertesitesek_kuldese_a_mobil_alkalmazasok_szamara_a_tanulok_hazi_feladatokhoz_irt_hozzaszolasairol","Value":"false"}', 0, 1, @intezmenyID, @tanevID),
    (7801, 1698, '{"Id":"alapertelmezett_statusz_naplozasok_eseteben","Options":[{"Selected":true,"Text":"Üres jelenlét","Value":"1817"},{"Selected":false,"Text":"Jelenlévő","Value":"1498"}]}', '{"Id":"alapertelmezett_statusz_naplozasok_eseteben","Options":[{"Selected":true,"Text":"Üres jelenlét","Value":"1817"},{"Selected":false,"Text":"Jelenlévő","Value":"1498"}]}', 0, 1, @intezmenyID, @tanevID),
    (7802, 1699, '{"Id":"osszes_dokumentum_eleresenek_engedelyezese_szaktanarok_es_osztalyfonokok_reszere","Value":"false"}', '{"Id":"osszes_dokumentum_eleresenek_engedelyezese_szaktanarok_es_osztalyfonokok_reszere","Value":"false"}', 0, 1, @intezmenyID, @tanevID),
    (7803, 1699, '{"Id":"hetesek_megjelenitese_az_elektronikus_ellenorzoben","Value":"false"}', '{"Id":"hetesek_megjelenitese_az_elektronikus_ellenorzoben","Value":"false"}', 0, 1, @intezmenyID, @tanevID),
    (7804, 1699, '{"Id":"Is_Csokkentett_Admin_Jog","Value":"false"}', '{"Id":"Is_Csokkentett_Admin_Jog","Value":"false"}', 0, 1, @intezmenyID, @tanevID),
    (7805, 1699, '{"Id":"magatartas_ertekeles_szabalyozasa","Value":"true"}', '{"Id":"magatartas_ertekeles_szabalyozasa","Value":"true"}', 0, 1, @intezmenyID, @tanevID),
    (7891, 1698, '{"Id":"elektronikus_naplo_zarasanak_datuma_beallitas_ervenyesegi_kore","Options":[{"Selected":false,"Text":"Csak az értékelések zárása","Value":"1"},{"Selected":true,"Text":"Értékelések és naplózás zárása","Value":"2"},{"Selected":false,"Text":"Csak a naplózás zárása","Value":"3"}]}', '{"Id":"elektronikus_naplo_zarasanak_datuma_beallitas_ervenyesegi_kore","Options":[{"Selected":false,"Text":"Csak az értékelések zárása","Value":"1"},{"Selected":true,"Text":"Értékelések és naplózás zárása","Value":"2"},{"Selected":false,"Text":"Csak a naplózás zárása","Value":"3"}]}', 0, 1, @intezmenyID, @tanevID),
    (7892, 1699, '{"Id":"helyettesites_lathatosaga_az_ellenorzoben","Value":"true"}', '{"Id":"helyettesites_lathatosaga_az_ellenorzoben","Value":"true"}', 0, 1, @intezmenyID, @tanevID),
    (8388, 1697, '{"Id":"igazolasok_naplozarasa","Options":[{"Selected":true,"Text":"nincs","Value":"365"},{"Selected":false,"Text":"0","Value":"0"},{"Selected":false,"Text":"1","Value":"1"},{"Selected":false,"Text":"2","Value":"2"},{"Selected":false,"Text":"3","Value":"3"},{"Selected":false,"Text":"4","Value":"4"},{"Selected":false,"Text":"5","Value":"5"},{"Selected":false,"Text":"6","Value":"6"},{"Selected":false,"Text":"7","Value":"7"},{"Selected":false,"Text":"8","Value":"8"},{"Selected":false,"Text":"9","Value":"9"},{"Selected":false,"Text":"10","Value":"10"},{"Selected":false,"Text":"11","Value":"11"},{"Selected":false,"Text":"12","Value":"12"},{"Selected":false,"Text":"13","Value":"13"},{"Selected":false,"Text":"14","Value":"14"},{"Selected":false,"Text":"15","Value":"15"},{"Selected":false,"Text":"16","Value":"16"},{"Selected":false,"Text":"17","Value":"17"},{"Selected":false,"Text":"18","Value":"18"},{"Selected":false,"Text":"19","Value":"19"},{"Selected":false,"Text":"20","Value":"20"},{"Selected":false,"Text":"21","Value":"21"},{"Selected":false,"Text":"22","Value":"22"},{"Selected":false,"Text":"23","Value":"23"},{"Selected":false,"Text":"24","Value":"24"},{"Selected":false,"Text":"25","Value":"25"},{"Selected":false,"Text":"26","Value":"26"},{"Selected":false,"Text":"27","Value":"27"},{"Selected":false,"Text":"28","Value":"28"},{"Selected":false,"Text":"29","Value":"29"},{"Selected":false,"Text":"30","Value":"30"},{"Selected":false,"Text":"31","Value":"31"},{"Selected":false,"Text":"32","Value":"32"},{"Selected":false,"Text":"33","Value":"33"},{"Selected":false,"Text":"34","Value":"34"},{"Selected":false,"Text":"35","Value":"35"},{"Selected":false,"Text":"36","Value":"36"},{"Selected":false,"Text":"37","Value":"37"},{"Selected":false,"Text":"38","Value":"38"},{"Selected":false,"Text":"39","Value":"39"},{"Selected":false,"Text":"40","Value":"40"},{"Selected":false,"Text":"41","Value":"41"},{"Selected":false,"Text":"42","Value":"42"},{"Selected":false,"Text":"43","Value":"43"},{"Selected":false,"Text":"44","Value":"44"},{"Selected":false,"Text":"45","Value":"45"},{"Selected":false,"Text":"46","Value":"46"},{"Selected":false,"Text":"47","Value":"47"},{"Selected":false,"Text":"48","Value":"48"},{"Selected":false,"Text":"49","Value":"49"},{"Selected":false,"Text":"50","Value":"50"}]}', '{"Id":"igazolasok_naplozarasa","Options":[{"Selected":true,"Text":"nincs","Value":"365"},{"Selected":false,"Text":"0","Value":"0"},{"Selected":false,"Text":"1","Value":"1"},{"Selected":false,"Text":"2","Value":"2"},{"Selected":false,"Text":"3","Value":"3"},{"Selected":false,"Text":"4","Value":"4"},{"Selected":false,"Text":"5","Value":"5"},{"Selected":false,"Text":"6","Value":"6"},{"Selected":false,"Text":"7","Value":"7"},{"Selected":false,"Text":"8","Value":"8"},{"Selected":false,"Text":"9","Value":"9"},{"Selected":false,"Text":"10","Value":"10"},{"Selected":false,"Text":"11","Value":"11"},{"Selected":false,"Text":"12","Value":"12"},{"Selected":false,"Text":"13","Value":"13"},{"Selected":false,"Text":"14","Value":"14"},{"Selected":false,"Text":"15","Value":"15"},{"Selected":false,"Text":"16","Value":"16"},{"Selected":false,"Text":"17","Value":"17"},{"Selected":false,"Text":"18","Value":"18"},{"Selected":false,"Text":"19","Value":"19"},{"Selected":false,"Text":"20","Value":"20"},{"Selected":false,"Text":"21","Value":"21"},{"Selected":false,"Text":"22","Value":"22"},{"Selected":false,"Text":"23","Value":"23"},{"Selected":false,"Text":"24","Value":"24"},{"Selected":false,"Text":"25","Value":"25"},{"Selected":false,"Text":"26","Value":"26"},{"Selected":false,"Text":"27","Value":"27"},{"Selected":false,"Text":"28","Value":"28"},{"Selected":false,"Text":"29","Value":"29"},{"Selected":false,"Text":"30","Value":"30"},{"Selected":false,"Text":"31","Value":"31"},{"Selected":false,"Text":"32","Value":"32"},{"Selected":false,"Text":"33","Value":"33"},{"Selected":false,"Text":"34","Value":"34"},{"Selected":false,"Text":"35","Value":"35"},{"Selected":false,"Text":"36","Value":"36"},{"Selected":false,"Text":"37","Value":"37"},{"Selected":false,"Text":"38","Value":"38"},{"Selected":false,"Text":"39","Value":"39"},{"Selected":false,"Text":"40","Value":"40"},{"Selected":false,"Text":"41","Value":"41"},{"Selected":false,"Text":"42","Value":"42"},{"Selected":false,"Text":"43","Value":"43"},{"Selected":false,"Text":"44","Value":"44"},{"Selected":false,"Text":"45","Value":"45"},{"Selected":false,"Text":"46","Value":"46"},{"Selected":false,"Text":"47","Value":"47"},{"Selected":false,"Text":"48","Value":"48"},{"Selected":false,"Text":"49","Value":"49"},{"Selected":false,"Text":"50","Value":"50"}]}', 0, 1, @intezmenyID, @tanevID),
    (8400, 5442, '{"Id":"lezart_osztalynaplok","Options":[]}', '{"Id":"lezart_osztalynaplok","Options":[]}', 0, 1, @intezmenyID, @tanevID),
    (8614, 1699, '{"Id":"ertekelesnel_a_naplojegyek_havi_atlaga_megjelenik","Value":"true"}', '{"Id":"ertekelesnel_a_naplojegyek_havi_atlaga_megjelenik","Value":"true"}', 0, 1, @intezmenyID, @tanevID),
    (8682, 1698, '{"Id":"orarendi_elemek_rogzitesenek_elofeltetele","Options":[{"Selected":false,"Text":"Csak TTF alapján rögzíthetők","Value":"1"},{"Selected":false,"Text":"Csak nem nulla órás TTF elem alapján rögzíthetők","Value":"2"},{"Selected":true,"Text":"TTF nélkül is rögzíthetők","Value":"3"}]}', '{"Id":"orarendi_elemek_rogzitesenek_elofeltetele","Options":[{"Selected":false,"Text":"Csak TTF alapján rögzíthetők","Value":"1"},{"Selected":false,"Text":"Csak nem nulla órás TTF elem alapján rögzíthetők","Value":"2"},{"Selected":true,"Text":"TTF nélkül is rögzíthetők","Value":"3"}]}', 0, 1, @intezmenyID, @tanevID),
    (8702, 1699, '{"Id":"mulasztasi_szazalek_szamitas_osztalyvaltas_utan","Value":"false"}', '{"Id":"mulasztasi_szazalek_szamitas_osztalyvaltas_utan","Value":"false"}', 0, 1, @intezmenyID, @tanevID),
    (8703, 1699, '{"Id":"kotott_munkaido_megjelenitese","Value":"false"}', '{"Id":"kotott_munkaido_megjelenitese","Value":"false"}', 0, 1, @intezmenyID, @tanevID),
    /*Értesítések*/
    (1690, 1696, '{"Id":"Ertesites_bukasra_allo_tanulokrol","Date":"' + LEFT(@evVegeDatum, 4) + '-05-02"}', '{"Id":"Ertesites_bukasra_allo_tanulokrol","Date":"' + LEFT(@evVegeDatum, 4) + '-05-02"}', 0, 1, @intezmenyID, @tanevID),
    (1691, 1696, '{"Id":"Ertesites_bukasra_allo_vegzos_tanulokrol","Date":"' + LEFT(@evVegeDatum, 4) + '-04-02"}', '{"Id":"Ertesites_bukasra_allo_vegzos_tanulokrol","Date":"' + LEFT(@evVegeDatum, 4) + '-04-02"}', 0, 1, @intezmenyID, @tanevID),
    (1687, 1696, '{"Id":"Ertesites_Tanev_rendi_valtoztatasrol_idopont","Date":"' + @evElsoNapja + '"}', '{"Id":"Ertesites_Tanev_rendi_valtoztatasrol_idopont","Date":"' + @evElsoNapja + '"}', 0, 1, @intezmenyID, @tanevID),
    (1686, 1695, '{"Id":"Ertesites_Tanev_rendi_valtoztatasrol_esetek","Options":[{"Selected":true,"Text":"Tanítás nélküli munkanap","Value":"1387"},{"Selected":false,"Text":"Tanítási nap ","Value":"1385"},{"Selected":false,"Text":"Munkaszüneti nap ","Value":"1386"}]}', '{"Id":"Ertesites_Tanev_rendi_valtoztatasrol_esetek","Options":[{"Selected":true,"Text":"Tanítás nélküli munkanap","Value":"1387"},{"Selected":false,"Text":"Tanítási nap ","Value":"1385"},{"Selected":false,"Text":"Munkaszüneti nap ","Value":"1386"}]}', 0, 1, @intezmenyID, @tanevID),
    (1688, 1698, '{"Id":"Erdemjegy_beiras_ertesites_kesleltetese","Options":[{"Selected":true,"Text":"0 óra","Value":"0"},{"Selected":false,"Text":"4 óra","Value":"4"},{"Selected":false,"Text":"8 óra","Value":"8"},{"Selected":false,"Text":"12 óra","Value":"12"},{"Selected":false,"Text":"24 óra","Value":"24"}]}', '{"Id":"Erdemjegy_beiras_ertesites_kesleltetese","Options":[{"Selected":true,"Text":"0 óra","Value":"0"},{"Selected":false,"Text":"4 óra","Value":"4"},{"Selected":false,"Text":"8 óra","Value":"8"},{"Selected":false,"Text":"12 óra","Value":"12"},{"Selected":false,"Text":"24 óra","Value":"24"}]}', 0, 1, @intezmenyID, @tanevID),
    (1689, 1698, '{"Id":"Ertesites_hianyzo_orabeirasrol_kesleltetese","Options":[{"Selected":false,"Text":"Soha","Value":"-1"},{"Selected":false,"Text":"3 nap","Value":"3"},{"Selected":true,"Text":"7 nap","Value":"7"},{"Selected":false,"Text":"14 nap","Value":"14"}]}', '{"Id":"Ertesites_hianyzo_orabeirasrol_kesleltetese","Options":[{"Selected":false,"Text":"Soha","Value":"-1"},{"Selected":false,"Text":"3 nap","Value":"3"},{"Selected":true,"Text":"7 nap","Value":"7"},{"Selected":false,"Text":"14 nap","Value":"14"}]}', 0, 1, @intezmenyID, @tanevID),
    (1692, 1698, '{"Id":"Ertesites_nyilt_naprol","Options":[{"Selected":false,"Text":"Soha","Value":"-1"},{"Selected":false,"Text":"3 nap","Value":"3"},{"Selected":true,"Text":"7 nap","Value":"7"},{"Selected":false,"Text":"14 nap","Value":"14"}]}', '{"Id":"Ertesites_nyilt_naprol","Options":[{"Selected":false,"Text":"Soha","Value":"-1"},{"Selected":false,"Text":"3 nap","Value":"3"},{"Selected":true,"Text":"7 nap","Value":"7"},{"Selected":false,"Text":"14 nap","Value":"14"}]}', 0, 1, @intezmenyID, @tanevID),
    (1693, 1698, '{"Id":"Ertesites_oralatogatasrol","Options":[{"Selected":false,"Text":"Soha","Value":"-1"},{"Selected":true,"Text":"3 nap","Value":"3"},{"Selected":false,"Text":"7 nap","Value":"7"},{"Selected":false,"Text":"14 nap","Value":"14"}]}', '{"Id":"Ertesites_oralatogatasrol","Options":[{"Selected":false,"Text":"Soha","Value":"-1"},{"Selected":true,"Text":"3 nap","Value":"3"},{"Selected":false,"Text":"7 nap","Value":"7"},{"Selected":false,"Text":"14 nap","Value":"14"}]}', 0, 1, @intezmenyID, @tanevID),
    (1755, 1699, '{"Id":"Adminisztrator_ertesitese_orarendi_tanulo_utkozesrol","Value":"true"}', '{"Id":"Adminisztrator_ertesitese_orarendi_tanulo_utkozesrol","Value":"true"}', 0, 1, @intezmenyID, @tanevID),
    (6852, 1699, '{"Id":"Intezmeny_rovid_nevenek_beallitasa","Value":"true"}', '{"Id":"Intezmeny_rovid_nevenek_beallitasa","Value":"true"}', 0, 1, @intezmenyID, @tanevID),
    (7746, 1699, '{"Id":"Lazar_Ervin_Program_kezelese","Value":"false"}', '{"Id":"Lazar_Ervin_Program_kezelese","Value":"false"}', 0, 1, @intezmenyID, @tanevID),
    (7890, 1699, '{"Id":"nem_tanorai_celu_csoportok_ertekelesi_lehetosege","Value":"true"}', '{"Id":"nem_tanorai_celu_csoportok_ertekelesi_lehetosege","Value":"true"}', 0, 1, @intezmenyID, @tanevID),
    (8825, 1699, '{"Id":"kotott_munkaido_nevelesseloktatassal_le_nem_kotott_resz_kezelesenek_tiltasa","Value":"false"}', '{"Id":"kotott_munkaido_nevelesseloktatassal_le_nem_kotott_resz_kezelesenek_tiltasa","Value":"false"}', 0, 1, @intezmenyID, @tanevID),
    (8826, 1699, '{"Id":"tanulok_es_gondviselok_szerkesztheti_sajat_elerhetosegi_adataikat","Value":"true"}', '{"Id":"tanulok_es_gondviselok_szerkesztheti_sajat_elerhetosegi_adataikat","Value":"true"}', 0, 1, @intezmenyID, @tanevID)

  INSERT INTO dbo.T_RENDSZERBEALLITAS (C_BEALLITASTIPUS, C_ERTEKTIPUS, C_ALAPERTEK, C_ERTEK, SERIAL, CREATOR, C_INTEZMENYID, C_TANEVID)
    SELECT trb.C_BEALLITASTIPUS, trb.C_ERTEKTIPUS, trb.C_ALAPERTEK, trb.C_ERTEK, trb.SERIAL, trb.CREATOR, trb.C_INTEZMENYID, trb.C_TANEVID
    FROM @TEMP_RENDSZERBEALLITAS trb
    LEFT JOIN dbo.T_RENDSZERBEALLITAS rb ON rb.C_BEALLITASTIPUS = trb.C_BEALLITASTIPUS AND rb.C_INTEZMENYID = trb.C_INTEZMENYID AND trb.C_TANEVID = rb.C_TANEVID
    WHERE rb.C_BEALLITASTIPUS IS NULL

END

GO
