﻿DROP PROCEDURE IF EXISTS [dev].[uspGenerateApaczaiUtalasiAllomany]
GO

CREATE PROCEDURE [dev].[uspGenerateApaczaiUtalasiAllomany]
   @pLekerdezesDatuma DATETIME = NULL
  ,@pGeneraltHonap INT = NULL
AS
BEGIN

  DECLARE @tanevId nvarchar(100)

    IF @pLekerdezesDatuma IS NOT NULL BEGIN​
    DECLARE cur CURSOR LOCAL FOR
    SELECT ia.C_TANEVID
    FROM T_INTEZMENY i
      INNER JOIN T_INTEZMENYADATOK ia ON i.ID = ia.C_INTEZMENYID
      INNER JOIN T_TANEV tv ON tv.ID = ia.C_TANEVID AND tv.C_AKTIV = 'T' AND tv.TOROLT = 'F'
    WHERE i.TOROLT = 'F'
      AND i.C_ISARCHIV = 'F'
      AND i.C_AZONOSITO in (
         'paszc-acsady'
        ,'paszc-jokai'
        ,'paszc-reguly'
        ,'paszc-faller'
        ,'tszc-balassa'
        ,'tszc-geza'
        ,'tszc-szechenyi'
        ,'tszc-kultsar'
        ,'tszc-alapy'
        ,'tszc-muszaki'
        ,'tszc-fellner'
        ,'tszc-mikes'
        ,'tszc-kossuth'
        ,'tszc-kereskedelmi'
        ,'tszc-szentimre'
        ,'tszc-eotvos'
        ,'tszc-banki'
        ,'tszc-blathy'
        ,'oszc-brody'
        ,'oszc-gabor'
        ,'oszc-suranyi'
        ,'oszc-deak'
        ,'oszc-pattantyus'
        ,'kcszc-hamori'
        ,'kcszc-varro'
        ,'kcszc-nagy'
        ,'kcszc-kunszentmartoni'
        ,'kcszc-teleki'
        ,'kcszc-mezoturi'
        ,'kcszc-labassy'
        ,'kcszc-vanyai'
        ,'bgaszc-bekesy'
        ,'bgaszc-belvarosi'
        ,'bgaszc-berzeviczy'
        ,'bgaszc-csete'
        ,'bgaszc-harsanyi'
        ,'bgaszc-hunfalvy'
        ,'bgaszc-rakoczi'
        ,'bgaszc-karolyi'
        ,'bgaszc-keleti'
        ,'bgaszc-pesterzsebeti'
        ,'bgaszc-pestszentlorinci'
        ,'bgaszc-szechenyi'
        ,'bgaszc-szentistvan'
        ,'bgaszc-teleki'
        ,'bgaszc-terezvarosi'
        ,'bgaszc-varga'
        ,'bgaszc-vasarhelyi'
        ,'bgaszc-budai'
        ,'bgaszc-szasz'
        ,'bgaszc-budaigimn'
        ,'bigsuli'
        ,'addeturiskola'
        ,'illessy'
        ,'szechenyi'
        ,'eventus'
        ,'mhaa'
        ,'oktopus'
        ,'divatiskola'
        ,'szentlaszlokisvarda'
        ,'remediumiskola'
        ,'szrszc-kereskedelmi'
        ,'szeszc-gabor'
        ,'szeszc-csonka'
        ,'szeszc-korosy'
        ,'szeszc-vasvari'
        ,'szeszc-krudy'
        ,'szeszc-moravarosi'
        ,'szeszc-jozsef'
        ,'szeszc-deri'
        ,'szeszc-vedres'
        ,'szeszc-kossuth'
        ,'szeszc-toth'
        ,'vaszc-eotvos'
        ,'vaszc-puskas'
        ,'vaszc-hefele'
        ,'vaszc-nadasdy'
        ,'vaszc-razso'
        ,'vaszc-iiibela'
        ,'vaszc-gepipari'
        ,'vaszc-savaria'
        ,'sszc-berg'
        ,'sszc-fay'
        ,'sszc-handler'
        ,'sszc-idegenforgalmi'
        ,'sszc-porpaczy'
        ,'sszc-vasvilla'
        ,'mezgazdtokaj'
        ,'vaszc-barabas'
        ,'vaszc-horvath'
        ,'vaszc-kereskedelmi'
        ,'vaszc-oladi'
        ,'vaszc-tinodi'
        ,'vaszc-sarvaritinodi'
        ,'szoszc-damjanich'
        ,'szoszc-sipos'
        ,'szoszc-ruhaipari'
        ,'szoszc-vasarhelyi'
        ,'szoszc-kervend'
        ,'mszc-berzeviczy'
        ,'mszc-blathy'
        ,'mszc-ferenczi'
        ,'mszc-martinmoved'
        ,'mszc-andrassy'
        ,'mszc-baross'
        ,'mszc-kando'
        ,'mszc-kos'
        ,'mszc-szemere'
        ,'mszc-szentpali'
        ,'mszc-szentlaszlo'
        ,'mszc-mezocsati'
        ,'gyszc-bercsenyi'
        ,'gyszc-gabor'
        ,'gyszc-hild'
        ,'gyszc-hunyadi'
        ,'gyszc-jedlik'
        ,'gyszc-lukacs'
        ,'gyszc-pattantyus'
        ,'mag-szolnok'
        ,'gorsium'
        ,'biak'
        ,'constantinum'
        ,'bkrkvszi'
        ,'mrk'
        ,'launairef'
        ,'HSZTbodajk'
        ,'katedra'
        ,'kalyijag'
        ,'forrassuli'
        ,'afg'
        ,'neumanneger'
        ,'budairajziskola'
        ,'padanyi'
        ,'aranykez'
        ,'nszc-thury'
        ,'nszc-zsigmondy'
        ,'nszc-cserhati'
        ,'erdszc-csonka'
        ,'erdszc-kossuth'
        ,'erdszc-kos'
        ,'erdszc-eotvos'
        ,'erdszc-kiskunlachazi'
        ,'erdszc-szazhalombattai'
        ,'mszszc-deri'
        ,'mszszc-gepeszeti'
        ,'mszszc-bethlen'
        ,'mszszc-budai'
        ,'mszszc-kallay'
        ,'cszc-bem'
        ,'cszc-kozgazdasagi'
        ,'cszc-nagykatai'
        ,'cszc-szterenyi'
        ,'cszc-unghvary'
        ,'cszc-mihaly'
        ,'gyuszc-harruckern'
        ,'gyuszc-adybay'
        ,'gyuszc-szekely'
        ,'gyuszc-kossuth'
        ,'gyuszc-devavanyai'
        ,'gyuszc-szigeti'
        ,'bgeszc-arany'
        ,'bgeszc-banki'
        ,'bgeszc-bethlen'
        ,'bgeszc-csonka'
        ,'bgeszc-eotvos'
        ,'bgeszc-fay'
        ,'bgeszc-ganz'
        ,'bgeszc-katona'
        ,'bgeszc-kossuth'
        ,'bgeszc-hajozasi'
        ,'bgeszc-mecha'
        ,'bgeszc-oveges'
        ,'bgeszc-szily'
        ,'kiszc-vari'
        ,'kiszc-human'
        ,'kiszc-kossuth'
        ,'kiszc-kozgazdasagi'
        ,'kiszc-wattay'
        ,'eszc-bornemissza'
        ,'eszc-kereskedelmi'
        ,'eszc-kossuth'
        ,'eszc-jozsef'
        ,'eszc-damjanich'
        ,'eszc-marcius'
        ,'eszc-remenyik'
        ,'eszc-szentlorinc'
        ,'kszc-viragh'
        ,'kszc-szentgyorgyi'
        ,'kszc-kada'
        ,'kszc-szechenyi'
        ,'kszc-kando'
        ,'kszc-fazekas'
        ,'kszc-kollegium'
        ,'kszc-gaspar'
        ,'kszc-karolyi'
        ,'kszc-tiszakecskei'
        ,'szszc-arpad'
        ,'szszc-istvan'
        ,'szszc-bugat'
        ,'szszc-hunyadi'
        ,'szszc-jaky'
        ,'szszc-deak'
        ,'szszc-perczel'
        ,'szszc-szechenyi'
        ,'szszc-vaci'
        ,'szszc-vorosmarty'
        ,'szszc-vajda'
        ,'szoszc-jendrassik'
        ,'szoszc-baross'
        ,'szoszc-petofi'
        ,'szoszc-palfy'
        ,'szoszc-klapka'
        ,'szoszc-rozsa'
        ,'kvszc-rakoczy'
        ,'kvszc-petofi'
        ,'kvszc-moricz'
        ,'kvszc-kando'
        ,'kvszc-ady'
        ,'bvszc-bokay'
        ,'bgaszc-dobos'
        ,'bgaszc-perlasca'
        ,'bkszc-gundel'
        ,'bvszc-wallenberg'
        ,'bvszc-semmelweis'
        ,'bkszc-szamos'
        ,'beszc-veres'
        ,'beszc-bessenyei'
        ,'beszc-eotvos'
        ,'beszc-bocskai'
        ,'beszc-veress'
        ,'beszc-szilagyi'
        ,'beszc-csiha'
        ,'beszc-kozgazd'
        ,'beszc-hszob'
        ,'beszc-jozsef'
        ,'beszc-karacs'
        ,'beszc-arany'
        ,'hit-rakoczi'
        ,'oktav'
        ,'nyszc-banki'
        ,'nyszc-bencs'
        ,'nyszc-inczedy'
        ,'nyszc-teleki'
        ,'nyszc-tiszavasvari'
        ,'nyszc-szechenyi'
        ,'nyszc-sipkay'
        ,'nyszc-vasarhelyi'
        ,'nyszc-wesselenyi'
        ,'nyszc-zay'
        ,'dvszc-dunaferr'
        ,'dvszc-bankimoved'
        ,'dvszc-hild'
        ,'dvszc-kereskedelmi'
        ,'dvszc-lorantffy'
        ,'dvszc-szabolcs'
        ,'dvszc-rudas'
        ,'bcsszc-gepesz'
        ,'bcsszc-kemeny'
        ,'bcsszc-zwack'
        ,'bcsszc-trefort'
        ,'bcsszc-kos'
        ,'bcsszc-szechenyi'
        ,'bcsszc-vasarhelyi'
        ,'bcsszc-szentgyorgyi'
        ,'klik038271003'
        ,'mszc-martin'
        ,'dszc-baross'
        ,'dszc-beregszaszi'
        ,'dszc-bethlen'
        ,'dszc-brassai'
        ,'dszc-irinyi'
        ,'dszc-kereskedelmi'
        ,'dszc-konnyuipari'
        ,'dszc-pechy'
        ,'dszc-povolny'
        ,'dszc-vegyipari'
        ,'dszc-mechwart'
        ,'szrszc-aba'
        ,'szrszc-muszaki'
        ,'szrszc-brassai'
        ,'szrszc-kereskedelmimoved'
        ,'szrszc-tokaji'
        ,'szrszc-kossuth'
        ,'szrszc-trefort'
        ,'gyszszc-szentgyorgyi'
        ,'bit-edu'
        ,'sylvester'
        ,'mmti'
        ,'yszi'
        ,'kossuth-baptista'
        ,'lazaristagimnazium'
        ,'ajkaiszik'
        ,'szlgdebrecen'
        ,'wesleyiskola'
        ,'sziszi'
        ,'szentbazilhdorog'
        ,'leoveybudapest'
        ,'krvt'
        ,'tomoritechnikum'
        ,'hszc-boros'
        ,'hszc-eotvos'
        ,'hszc-corvin'
        ,'hszc-navay'
        ,'hszc-zsoldos'
        ,'hszc-pollak'
        ,'hszc-cseresnyes'
        ,'hszc-saghy'
        ,'gyszc-baross'
        ,'gyszc-deak'
        ,'gyszc-palffy'
        ,'sszc-csornai'
        ,'gyszc-kossuth'
        ,'gyszc-krudy'
        ,'sszc-hunyadij'
        ,'gyszc-haller'
        ,'gyszc-bolyai'
        ,'gyszc-mora'
        ,'gyszc-baksa'
        ,'gyszc-hallerj'
        ,'gyszc-bolyaialt'
        ,'gyszc-moraf'
        ,'ekevi'
        ,'terplanszki'
        ,'kozmamhegyes'
        ,'sztlaszlobaja'
        ,'kulkergimi'
        ,'jgygmako'
        ,'zspsz'
        ,'birok001'
        ,'birok011'
        ,'lonyay'
        ,'forrai'
        ,'bubaki'
        ,'talentumtata'
        ,'letenyey'
        ,'remenyhir'
        ,'galferencfoiskolabekes'
        ,'salkahazi'
        ,'szaboky'
        ,'papairefi'
        ,'apaczaicentrum'
        ,'nyabi'
        ,'euroiskola'
        ,'schola'
        ,'eszi'
        ,'szivarvany'
        ,'fischermoriskola'
        ,'szkirg'
        ,'dianaszki'
        ,'mamiszki'
        ,'wignerkozepiskola'
        ,'pentelei'
        ,'reformatusdunavecse'
        ,'spic'
        ,'szechenyipecs'
        ,'premontrei-keszthely'
        ,'dioszegi'
        ,'kovessibaptista'
        ,'gourmand-kozepiskola'
        ,'gaszi006'
        ,'gykksz'
        ,'szeberenyi'
        ,'eotvos-sopron'
        ,'szbk'
        ,'kolpingpet'
        ,'teki-koszeg'
        ,'kolpingcsurgo'
        ,'egom-kolping'
        ,'oktatasikozpont'
        ,'cserepka'
        ,'csuha'
        ,'szekszardikolpingiskola'
        ,'kanizsay'
        ,'liaiskola'
        ,'klevai'
        ,'gondocs'
        ,'gubodyszki'
        ,'pannon'
        ,'telekisuli'
        ,'kempelenkom'
        ,'autonszfh-ema'
        ,'demolive1-nszfh-ema'
        ,'mrszg'
        ,'kratochvil'
        ,'audi'
        ,'szbaltisk'
        ,'szbkozepiskola'
        ,'dankopista'
        ,'gblsz'
        ,'tanext'
        ,'saszc-szondy'
        ,'saszc-stromfeld'
        ,'saszc-tancsics'
        ,'saszc-kereskedelmi'
        ,'saszc-borbely'
        ,'saszc-faymoved'
        ,'saszc-kanizsai'
        ,'saszc-szentgyorgyi'
        ,'saszc-mikszath'
        ,'szbi-kiskunfelegyhaza'
        ,'sob'
        ,'szbi-szeged'
        ,'szbi-budaors'
        ,'szbi-miskolc'
        ,'balatonfuredszbi'
        ,'szbi-bp'
        ,'szentannaikarcag'
        ,'tjszki'
        ,'szekacs'
        ,'szakkepzoteszt'
        ,'szeszi-pecs'
        ,'szeszi-szombathely'
        ,'bszc-banyai'
        ,'bszc-jelky'
        ,'bszc-kalocsai'
        ,'bszc-kossuth'
        ,'bszc-turr'
        ,'bszc-radnoti'
        ,'szkszc-egeszsegugyi'
        ,'kaszc-szigeti'
        ,'vszc-kiraly'
        ,'vszc-boronkay'
        ,'vszc-madach'
        ,'vszc-petofi'
        ,'vszc-petzelt'
        ,'vszc-selye'
        ,'vszc-igeza'
        ,'vszc-bocska'
        ,'dvszc-banki'
        ,'vikbp'
        ,'mzs-kisujszallas'
        ,'mnamk'
        ,'pjngszi'
        ,'garaboncias-budapest'
        ,'pillich'
        ,'abakusz'
        ,'bpscode'
        ,'computerschool'
        ,'epona'
        ,'grofszechenyiodon'
        ,'schoolofbusiness'
        ,'szgyf'
        ,'tettiskola'
        ,'wesley-marokpapi'
        ,'lloydiskola'
        ,'bmszc-blathy'
        ,'bmszc-bolyai'
        ,'bmszc-egressy'
        ,'bmszc-neumann'
        ,'bmszc-petrik'
        ,'bmszc-puskas'
        ,'bmszc-than'
        ,'bmszc-trefort'
        ,'bmszc-ujpesti'
        ,'bmszc-verebely'
        ,'bmszc-wesselenyi'
        ,'bmszc-pataky'
        ,'demolive1-nszfh'
        ,'AutoNSZFH'
        ,'saszc-fay'
        ,'bsst'
        ,'veszc-ipari'
        ,'veszc-jendrassik'
        ,'veszc-oveges'
        ,'veszc-kozgazdasagi'
        ,'veszc-tancsics'
        ,'veszc-sef'
        ,'veszc-szentgyorgyi'
        ,'bkszc-kezmuves'
        ,'bkszc-erzsebet'
        ,'bkszc-kaesz'
        ,'bkszc-kozma'
        ,'bkszc-mandy'
        ,'bkszc-modell'
        ,'bkszc-pogany'
        ,'bkszc-schulek'
        ,'bkszc-ujbudai'
        ,'bkszc-weiss'
        ,'bkszc-ybl'
        ,'zszc-csany'
        ,'zszc-deak'
        ,'zszc-szechenyi'
        ,'zszc-ganz'
        ,'zszc-lamfalussy'
        ,'zszc-bathory'
        ,'zszc-keszthelyi'
        ,'zszc-kozgazdasagi'
        ,'zszc-vendeglato'
        ,'siszc-baross'
        ,'siszc-mathiasz'
        ,'siszc-bacsak'
        ,'siszc-krudy'
        ,'siszc-marcali'
        ,'szkszc-magyar'
        ,'szkszc-esterhazymoved'
        ,'szkszc-apaczai'
        ,'szkszc-ady'
        ,'szkszc-vendeglato'
        ,'szkszc-bezeredj'
        ,'szkszc-perczel'
        ,'szkszc-valyi'
        ,'szkszc-istvan'
        ,'kaszc-lamping'
        ,'kaszc-jalics'
        ,'kaszc-eotvos'
        ,'kaszc-szechenyi'
        ,'kaszc-noszlopy'
        ,'kaszc-rudnay'
        ,'kaszc-barcsi'
        ,'kaszc-ady'
        ,'kaszc-drava'
        ,'kaszc-nagyatadi'
        ,'kaszc-barcsikoll'
        ,'pszc-zrinyi'
        ,'pszc-komloi'
        ,'pszc-angster'
        ,'pszc-zsolnay'
        ,'pszc-pollack'
        ,'pszc-radnoti'
        ,'pszc-zipernowsky'
        ,'pszc-mohacsi'
        ,'pszc-sasdi'
        ,'pszc-siklosi'
        ,'pszc-iibela'
        ,'pszc-simonyi'
        ,'djg'
        ,'kkszakkepzoteszt'
        ,'ejk-heves'
        ,'vayrefi'
        ,'ijrok'
        ,'IJROK-Tompa'
        ,'szalezi-donbosco'
        ,'szalezi-meta'
        ,'szalezi-szamalk'
        ,'mmsz-kelta'
        ,'mmsz-devecseri'
        ,'tomorimajsa'
        ,'klik037742001'
        ,'ambedkar'
        ,'klik035384001'
        ,'mmszsz-gyongyos'
        ,'support-brigi'
        ,'rakoczi-kat'
        ,'klik031203001'
        ,'klik034178001'
        ,'klik037557001'
        ,'balashazy'
        ,'pannonkincstar'
        ,'szhatvan'
        ,'liska'
        ,'piarista-god'
        ,'fay-misk'
        ,'georgikon'
        ,'sztjg'
        ,'szkszc-esterhazy'
        ,'bocskaiszerencs'
        ,'szikszi'
        ,'ekszi'
        ,'katolikuskeri'
        ,'nagyboldog'
        ,'mszikszi'
        ,'mlgsz'
        ,'vbjnet'
        ,'bereczkibaja'
        ,'bedo'
        ,'mezopapa'
        ,'amszi'
        ,'biszki'
        ,'barosslmsz'
        ,'bethlengaborszki'
        ,'csukas'
        ,'dmszki'
        ,'entz'
        ,'fayszakkozep'
        ,'fodorj-szeged'
        ,'galamb'
        ,'javorkatata'
        ,'kinizsi-kap'
        ,'szakkozepkenderes'
        ,'kocsiskecskemet'
        ,'ketegyhazisuli'
        ,'kissf-szeged'
        ,'mezgazdkkfh'
        ,'rothszki'
        ,'lipthay'
        ,'paloczi'
        ,'lippai'
        ,'pestibarnabas'
        ,'magyulaiskola'
        ,'pettkoiskola'
        ,'serenyi'
        ,'soos-bp'
        ,'szechenyiszki'
        ,'sztistvan-szf'
        ,'hbmgi'
        ,'bessenyeigyorgy'
        ,'verespgyor'
        ,'toldink'
        ,'vayadam'
        ,'westsik'
        ,'efszk'
        ,'mezgazdtokajmoved'
        ,'vargamarton'
        ,'tancsics'
        ,'szepesi'
        ,'daszkcsapo'
        ,'mgszki'
        ,'apponyis'
        ,'mezogazdsellye'
        ,'vmujhelyi'
        ,'fmaszk-janoshalma'
        ,'fmaszk-gyongyos'
        ,'fmaszk-bartha'
        ,'peterkeszaki'
        ,'seregszaksuli'
        ,'telekiszakkepzo'
        ,'mezgazdvep'
        ,'bercsenyi'
        ,'kzs'
        ,'hermanszombathely'
        ,'demolive1-hoi'
        ,'AutoHOI'
      )

    OPEN cur
    FETCH NEXT FROM cur INTO @tanevId
    WHILE @@FETCH_STATUS = 0 BEGIN
      DECLARE @idList nvarchar(max)
      SELECT @idList = CONCAT(@idList + ',', x.ID)
      FROM
      ( SELECT DISTINCT t.ID
      FROM T_TANULO t
        INNER JOIN T_TANULOCSOPORT tcs ON tcs.C_TANULOID = t.ID AND tcs.TOROLT = 'F'
        INNER JOIN T_OSZTALY o ON o.ID = tcs.C_OSZTALYCSOPORTID AND o.TOROLT = 'F'
        INNER JOIN T_OSZTALYCSOPORT ocs ON ocs.ID = o.ID AND ocs.TOROLT = 'F'
          AND ocs.C_FELADATKATEGORIAID = 7553
          AND ocs.C_EVFOLYAMTIPUSA IN (7862,7863,7871,7873,7872,7874)
      WHERE t.TOROLT = 'F' AND t.C_ALTANEVID = @tanevId
      UNION
      SELECT DISTINCT t.ID
      FROM T_TANULO t
        INNER JOIN T_TANULOCSOPORT tcs ON tcs.C_TANULOID = t.ID AND tcs.TOROLT = 'F'
        INNER JOIN T_OSZTALY o ON o.ID = tcs.C_OSZTALYCSOPORTID AND o.TOROLT = 'F'
        INNER JOIN T_OSZTALYCSOPORT ocs ON ocs.ID = tcs.C_OSZTALYCSOPORTID
          AND ocs.TOROLT = 'F'
          AND ocs.C_FELADATKATEGORIAID = 7553
        INNER JOIN T_EVFOLYAMTIPUS evf ON evf.ID = ocs.C_EVFOLYAMTIPUSA
          AND evf.C_ALTANEVID = ocs.C_TANEVID
          AND evf.C_ISOSSZEVONT = 'T'
          AND evf.TOROLT = 'F'
        INNER JOIN T_TANULOTANUGYIADATOK tta ON tta.C_TANULOCSOPORTID = tcs.ID AND tta.TOROLT = 'F'
          AND tta.C_TANULOEVFOLYAMTIPUSID IN (7862,7863,7871,7873,7872,7874)
      WHERE t.TOROLT = 'F' AND t.C_ALTANEVID = @tanevid
      ) x

      EXEC uspUpdateTanuloSzakkepzesiJuttatasok
        @pTanevId = @tanevId
        ,@pMaxIgazolatlanokSzama = 6
        ,@pMinOsztondijAtlag = 3.5
        ,@pOsztondijAlap = 100000
        ,@pLekerdezesDatuma = @pLekerdezesDatuma
        ,@pTanuloId = NULL
        ,@pTanuloIdList = @idList
        ,@pFelhasznaloId = 0
        ,@pGeneraltHonap = @pGeneraltHonap
        ,@pVisszaallitasDatuma = NULL
        ,@pJuttatasTipusId = 8618

      FETCH NEXT FROM cur INTO @tanevId
    END
    CLOSE cur
    DEALLOCATE cur
    END

DECLARE @sql nvarchar(max) = N'';

SET @sql = N'
    SELECT
        i.C_AZONOSITO as ''KRÉTA Azonosító''
        ,ia.C_NEV as ''Intézmény neve''
        ,ia.C_OMKOD as ''OM kód''
        ,fn.C_AZONOSITO as ''Fenntartó''
        ,ISNULL(fn.C_NEV, ''Ismeretlen fenntartó'') AS ''Fenntartónév''
        ,ISNULL(lmszf.C_NEV, ''Ismeretlen legmagasabb szintű fenntartó'') AS ''Legmagasabb szintű fenntartó''
        ,f.C_OKTATASIAZONOSITO as ''Oktatási azonosító''
        ,f.C_IDPEGYEDIAZONOSITO as ''Idp egyedi azonosító''
        ,f.C_NYOMTATASINEV as ''Diák neve''
        ,f.C_SZULETESIDATUM as ''Születési dátum''
        ,f.C_SZULETESIHELY as ''Születési hely''
        ,f.C_ANYJANEVE as ''Anyja neve''
        ,tel.C_TELEFONSZAM as ''Telefonszám''
        ,em.C_EMAILCIM as ''E-mail cím''
        ,x.C_NEV as ''Gondviselő neve''
        ,x.C_TELEFONSZAM as ''Telefonszám''
        ,x.C_EMAILCIM as ''E-mail cím''
        ,x2.C_NEV as ''Gondviselő neve 2''
        ,x2.C_TELEFONSZAM as ''Telefonszám 2''
        ,x2.C_EMAILCIM as ''E-mail cím 2''
        ,cim.C_CIM AS ''Cím''
        ,CONCAT(IIF(ISDATE(CONCAT(''1900/'',
          CASE WHEN ocs.C_EVFOLYAMTIPUSA IN (6908,6910,6911,6912,6913,7366,6909,6911,6913)
            THEN IIF(dib3.C_NAME IS NOT NULL, CONCAT(dib3.C_NAME, '' ('', dib.C_NAME, '')''), dib.C_NAME)
            ELSE dib.C_NAME
          END)) = 1, '''''''', ''''),
          CASE WHEN ocs.C_EVFOLYAMTIPUSA IN (6908,6910,6911,6912,6913,7366,6909,6911,6913)
            THEN IIF(dib3.C_NAME IS NOT NULL, CONCAT(dib3.C_NAME, '' ('', dib.C_NAME, '')''), dib.C_NAME)
            ELSE dib.C_NAME
          END) as ''Évfolyam''
        ,COALESCE(CAST(tt.C_SZAMITOTTATLAG as nvarchar), '''') as ''Tanulmányi átlag (számított)''
        ,COALESCE(CAST(tt.C_KEZIATLAG as nvarchar), '''') as ''Tanulmányi átlag (kézi)''
        ,COALESCE(CAST(tt.C_KEZIATLAG as nvarchar), CAST(tt.C_SZAMITOTTATLAG as nvarchar), '''') as ''Tanulmányi átlag (alkalmazott)''
        ,dibAgazat.C_NAME as ''Ágazat''
        ,dibSzakma.C_NAME as ''Szakma''
        ,CONCAT(mukodHely.C_NEV, '' - '', dibFeladatTipus.C_NAME) as ''Tanuló tanulási helyszíne, feladatellátási hely''
        ,CONCAT(mukodHely.C_IRANYITOSZAM, '' '', mukodHely.C_VAROS, '', '', mukodHely.C_KOZTERULETNEV, '' '', mukodHely.C_KOZTERULETJELLEGENEV, '' '', mukodHely.C_HAZSZAM, '', '' + mukodHely.C_EMELET + ''. emelet'', '' '' + mukodHely.C_AJTO + ''. ajtó'') as ''Működési hely címe''
        ,mukodHely.C_VAROS as ''Működési hely városa''
        ,COALESCE(CONVERT(nvarchar, tta.C_NYILVANTARTASKEZDETE, 23), '''') as ''Jogviszony kezdete dátum''
        ,COALESCE(CONVERT(nvarchar, tta.C_JOGVISZONYVARHATOBEFEJEZESE, 23), CAST(tt.C_JOGVISZONYVARHATOBEFEJEZESE as nvarchar), '''') as ''Jogviszony várható befejezésének dátuma''
        ,COALESCE(CONVERT(nvarchar, tcs.C_KILEPESDATUM, 23), '''') as ''Jogviszony befejezésének dátuma''
        ,IIF(ISNULL(tta.C_ISBESZAMITASOS, tt.C_ISBESZAMITASOS) = ''T'', ''Igen'', ''Nem'') as ''Beszámításos a tanuló''
        ,IIF(ISNULL(tta.C_ISBESZAMITASOSFIXSZAZALEK, tt.C_ISBESZAMITASOSFIXSZAZALEK) = ''T'', ''Igen'', ''Nem'') as ''Beszámításos fix százalék''
        ,IIF(tt.C_ISSIKERESAGAZATIVIZSGA = ''T'', ''Igen'', ''Nem'') as ''Sikeres ágazati alapvizsgát tett''
        ,IIF(tt.C_ISATLAGSZAKKEPZESI = ''T'', ''Igen'', ''Nem'') as ''Átlag szakképzésből''
        ,IIF(ISNULL(tta.C_TANULOSZERZODESES,tt.C_TANULOSZERZODESES) = ''T'', ''Igen'', ''Nem'') as ''Tanulói szerződéses''
        ,IIF(ISNULL(tta.C_EGYUTTMUKODESES,tt.C_EGYUTTMUKODESES) = ''T'', ''Igen'', ''Nem'') as ''Együttműködési megállapodásos''
        ,IIF(ISNULL(tta.C_ISSZAKKEPZESIMUNKASZERZODESS,tt.C_ISSZAKKEPZESIMUNKASZERZODESS) = ''T'', ''Igen'', ''Nem'') as ''Szakképzési munkaszerződéssel''
        ,IIF(ocs.C_VEGZOSEVFOLYAM = ''T'', ''Igen'', ''Nem'') as ''Végzős''
        ,j.C_OSSZEG as ''Ösztöndíj összege''
        ,'''''''' + tt.C_BANKSZAMLASZAM as ''Számlaszáma''
        ,tt.C_BANKSZAMLATULAJNEVE as ''Számla tulajdonosának neve''
        ,dib2.c_name as ''Számla típusa''
    FROM t_intezmeny i
        INNER JOIN T_TANEV t on t.C_INTEZMENYID = i.id and t.C_AKTIV = ''T'' and t.C_NEV = ''2021/2022'' and t.TOROLT = ''F''
        INNER JOIN T_INTEZMENYADATOK ia on ia.C_TANEVID = t.ID and ia.TOROLT = ''F''';

  SET @sql += N'
      INNER JOIN T_JUTTATAS j on j.C_TANEVId = t.id and j.C_ISAKTIV = ''T'' and j.TOROLT = ''F'' and j.C_JUTTATASTIPUSID = 8618
  ';

SET @sql += N'
    INNER JOIN T_FELHASZNALO f on f.id = j.C_TANULOID and f.torolt  =''F''
        LEFT JOIN T_TANULOCSOPORT tcs on tcs.C_TANULOID = f.id and tcs.torolt =''F'' and tcs.C_TANEVID = t.ID
        LEFT JOIN T_FENNTARTO fn ON fn.TOROLT = ''F'' AND fn.ID = i.C_FENNTARTOID
        LEFT JOIN T_LEGMAGASABBSZINTUFENNTARTO lmszf ON lmszf.TOROLT = ''F'' AND fn.C_LEGMAGASABBSZINTUFENNTARTOID = lmszf.Id
        LEFT JOIN (T_TANULOCSOPORT tcs2
          INNER JOIN T_OSZTALYCSOPORT ocs2 on ocs2.id = tcs2.C_OSZTALYCSOPORTID and ocs2.torolt = ''F'' and ocs2.C_FELADATKATEGORIAID = 7553
          INNER JOIN T_OSZTALY o2 ON tcs2.C_OSZTALYCSOPORTID = o2.ID
        ) on tcs2.C_TANULOID = f.ID
            AND (tcs.C_KILEPESDATUM < tcs2.C_KILEPESDATUM OR (tcs.C_KILEPESDATUM IS NOT NULL AND tcs2.C_KILEPESDATUM IS NULL))
            AND tcs2.TOROLT = ''F'' AND tcs2.C_TANEVID = t.ID
        INNER JOIN t_osztaly o on o.id = tcs.C_OSZTALYCSOPORTID and o.torolt = ''F'' and o.C_ALTANEVID = t.ID
        INNER JOIN T_OSZTALYCSOPORT ocs on ocs.id = o.id and ocs.C_TANEVID = t.id and ocs.torolt = ''F''
            AND ocs.C_FELADATKATEGORIAID = 7553
        INNER JOIN T_DICTIONARYITEMBASE dib on dib.id = ocs.C_EVFOLYAMTIPUSA and dib.C_TANEVID = t.id
        INNER JOIN t_tanulo tt on tt.id = f.id and tt.torolt = ''F'' and tt.C_ALTANEVID = t.ID AND tt.C_ISOSZTONDIJBOLKIZARVA = ''F''
        INNER JOIN T_APACZAIKGRJOGOSULT akgrj ON akgrj.C_TANULOID = tt.ID AND akgrj.C_STATUSZID = 13 AND akgrj.TOROLT = ''F''
        LEFT JOIN T_DICTIONARYITEMBASE dib2 on dib2.id = tt.C_BANKSZAMLATULAJDONOSTIPUSID and dib2.C_TANEVID = t.id
        LEFT JOIN T_TANULOTANUGYIADATOK tta ON tta.C_TANULOCSOPORTID = tcs.ID and tta.TOROLT = ''F''
        LEFT JOIN T_DICTIONARYITEMBASE dibAgazat on dibAgazat.id = tta.C_AGAZATUJSZKTTIPUSID and dibAgazat.C_TANEVID = t.id and dibAgazat.TOROLT = ''F''
        LEFT JOIN T_DICTIONARYITEMBASE dibSzakma on dibSzakma.id = tta.C_SZAKMATIPUSID and dibSzakma.C_TANEVID = t.id and dibSzakma.TOROLT = ''F''
        INNER JOIN T_FELADATELLATASIHELY felhely on felhely.ID = ocs.C_FELADATELLATASIHELYID and felhely.TOROLT = ''F''
        INNER JOIN T_MUKODESIHELY_OSSZES mukodHely ON mukodHely.ID = felhely.C_MUKODESIHELYID and mukodHely.TOROLT = ''F''
        INNER JOIN T_DICTIONARYITEMBASE dibFeladatTipus on dibFeladatTipus.id = felhely.C_OKTATASINEVELESIFELADATTIPUS and dibFeladatTipus.C_TANEVID = t.id and dibFeladatTipus.TOROLT = ''F''
        LEFT JOIN T_DICTIONARYITEMBASE dib3 on dib3.id = tta.C_TANULOEVFOLYAMTIPUSID and dib3.C_TANEVID = t.id and dib3.TOROLT = ''F''
        ';

SET @sql += N'
    OUTER APPLY (
            SELECT TOP(1) C_TELEFONSZAM
            FROM T_TELEFON x
            WHERE x.C_FELHASZNALOID = tt.ID
                and x.C_ALAPERTELMEZETT = ''T''
                and x.TOROLT = ''F''
                and x.C_GONDVISELOID is null) tel
        OUTER APPLY (
            SELECT TOP(1) C_EMAILCIM
            FROM T_EMAIL x
            WHERE x.C_FELHASZNALOID = tt.ID
                and x.C_ALAPERTELMEZETT = ''T''
                and x.TOROLT = ''F''
                and x.C_GONDVISELOID is null) em
        OUTER APPLY (
            SELECT TOP(1) * FROM  T_GONDVISELO g
                OUTER APPLY (
                    SELECT TOP(1) C_EMAILCIM
                    FROM T_EMAIL x
                    WHERE x.C_FELHASZNALOID = tt.ID
                        and x.C_ALAPERTELMEZETT = ''T''
                        and x.TOROLT = ''F''
                        and x.C_GONDVISELOID = g.ID
                        and x.C_TANEVID = t.ID) em2
                OUTER APPLY (
                    SELECT TOP(1) C_TELEFONSZAM
                    FROM T_TELEFON x
                    WHERE x.C_FELHASZNALOID = tt.ID
                        and x.C_ALAPERTELMEZETT = ''T''
                        and x.TOROLT = ''F''
                        and x.C_GONDVISELOID = g.ID
                        and x.C_TANEVID = t.ID) tel2
            WHERE g.TOROLT = ''F''
                AND g.C_TANULOID = tt.ID and g.C_TANEVID = t.ID
            ORDER BY g.CREATED DESC  ) x';

  SET @sql += N'
        OUTER APPLY (
            SELECT TOP(1) *FROM  T_GONDVISELO g
                OUTER APPLY (
                    SELECT TOP(1) C_EMAILCIM
                    FROM T_EMAIL x
                    WHERE x.C_FELHASZNALOID = tt.ID
                        and x.C_ALAPERTELMEZETT = ''T''
                        and x.TOROLT = ''F''
                        and x.C_GONDVISELOID = g.ID
                        and x.C_TANEVID = t.ID) em2
                OUTER APPLY (
                    SELECT TOP(1) C_TELEFONSZAM
                    FROM T_TELEFON x
                    WHERE x.C_FELHASZNALOID = tt.ID
                        and x.C_ALAPERTELMEZETT = ''T''
                        and x.TOROLT = ''F''
                        and x.C_GONDVISELOID = g.ID
                        and x.C_TANEVID = t.ID) tel2
            WHERE g.TOROLT = ''F''
                AND g.C_TANULOID = tt.ID and g.C_TANEVID = t.ID
            ORDER BY g.CREATED DESC
        ) x2
    OUTER APPLY (
        SELECT TOP(1) CONCAT(x.C_IRANYITOSZAM, '' '', x.C_VAROS, '', '', x.C_KOZTERULET, '' '', x.C_KOZTERULETJELLEGENEV, '' '', x.C_HAZSZAM, '', '' + x.C_EMELET + ''. emelet'', '' '' + x.C_AJTO + ''. ajtó'') AS C_CIM
        FROM T_CIM x
        WHERE x.C_FELHASZNALOID = tt.ID
            and x.C_ALAPERTELMEZETT = ''T''
            and x.TOROLT = ''F''
            and x.C_GONDVISELOID IS NULL
            and x.C_TANEVID = t.ID
         ORDER BY x.C_ALAPERTELMEZETT DESC) cim
    WHERE i.torolt = ''F''
      AND fn.C_ISTESZTFENNTARTO = ''F''
      AND j.C_ISJOGOSULT = ''T''
      AND tcs2.ID IS NULL
      AND ia.C_ISSZAKKEPZO = ''T''
      AND i.C_ISARCHIV = ''F''

    ORDER BY i.C_AZONOSITO, f.C_NYOMTATASINEV';

  exec sp_executesql @sql

END
GO